#ifndef EFL_UI_SPIN_EO_HH
#define EFL_UI_SPIN_EO_HH
#include <Eo.h>

extern "C" {
#include "efl_ui_spin.eo.h"
}
#include <Eina.hh>
#include <Eo.hh>
namespace efl { namespace ui { 
struct Spin;
} } 
namespace efl { namespace eo { template<> struct is_eolian_object< ::efl::ui::Spin> : ::std::true_type {}; } }

namespace eo_cxx {
namespace efl { namespace ui { 
struct Spin {
   void min_max_get( ::efl::eolian::out_traits<double>::type min,  ::efl::eolian::out_traits<double>::type max) const;
   void min_max_set( ::efl::eolian::in_traits<double>::type min,  ::efl::eolian::in_traits<double>::type max) const;
   double step_get() const;
   void step_set( ::efl::eolian::in_traits<double>::type step) const;
   double value_get() const;
   void value_set( ::efl::eolian::in_traits<double>::type val) const;
   double interval_get() const;
   void interval_set( ::efl::eolian::in_traits<double>::type interval) const;
   static Eo_Class const* _eo_class()
   {
      return EFL_UI_SPIN_INTERFACE;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   operator ::efl::ui::Spin() const;
   operator ::efl::ui::Spin&();
   operator ::efl::ui::Spin const&() const;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Spin> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Spin const > operator&() const { return {this}; }
   /// @endcond
};
} } 
}
namespace efl { namespace ui { 
struct Spin : ::efl::eo::concrete
{
   explicit Spin( ::Eo* eo)
      : ::efl::eo::concrete(eo) {}
   explicit Spin(std::nullptr_t)
      : ::efl::eo::concrete(nullptr) {}
   Spin(Spin const& other) = default;
   Spin(Spin&& other) = default;
   Spin& operator=(Spin const& other) = default;
   Spin& operator=(Spin&& other) = default;
   Spin()
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class());
   }
   Spin( ::efl::eo::concrete parent)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, parent, _eo_class());
   }
   template <typename F> Spin(F f, typename ::std::enable_if< ::efl::eolian::is_callable<F>::value>::type* = 0)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class(), f);
   }
   void min_max_get( ::efl::eolian::out_traits<double>::type min,  ::efl::eolian::out_traits<double>::type max) const;
   void min_max_set( ::efl::eolian::in_traits<double>::type min,  ::efl::eolian::in_traits<double>::type max) const;
   double step_get() const;
   void step_set( ::efl::eolian::in_traits<double>::type step) const;
   double value_get() const;
   void value_set( ::efl::eolian::in_traits<double>::type val) const;
   double interval_get() const;
   void interval_set( ::efl::eolian::in_traits<double>::type interval) const;
   static Eo_Class const* _eo_class()
   {
      return EFL_UI_SPIN_INTERFACE;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Spin> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Spin const > operator&() const { return {this}; }
   /// @endcond
};
static_assert(sizeof(Spin) == sizeof(Eo*), "");
static_assert(std::is_standard_layout<Spin>::value, "");
} } 
#include "efl_ui_spin.eo.impl.hh"
#endif
