#ifndef ELM_CODE_WIDGET_EO_HH
#define ELM_CODE_WIDGET_EO_HH
#include <Eo.h>

extern "C" {
#include "edje_object.eo.h"
#include "efl_animator.eo.h"
#include "efl_canvas_group.eo.h"
#include "efl_canvas_group_clipped.eo.h"
#include "efl_canvas_object.eo.h"
#include "efl_container.eo.h"
#include "efl_event_hold.eo.h"
#include "efl_event_key.eo.h"
#include "efl_event_pointer.eo.h"
#include "efl_file.eo.h"
#include "efl_gfx.eo.h"
#include "efl_gfx_map.eo.h"
#include "efl_gfx_size_hint.eo.h"
#include "efl_gfx_stack.eo.h"
#include "efl_input_interface.eo.h"
#include "efl_part.eo.h"
#include "elm_code_widget.eo.h"
#include "elm_interface_atspi_accessible.eo.h"
#include "elm_interface_atspi_component.eo.h"
#include "elm_interface_atspi_text.eo.h"
#include "elm_layout.eo.h"
#include "elm_widget.eo.h"
#include "elm_widget_item.eo.h"
#include "eo_base.eo.h"
#include "eo_interface.eo.h"
}
#include <Eina.hh>
#include <Eo.hh>
#include "edje_object.eo.hh"
#include "efl_animator.eo.hh"
#include "efl_canvas_group.eo.hh"
#include "efl_canvas_group_clipped.eo.hh"
#include "efl_canvas_object.eo.hh"
#include "efl_container.eo.hh"
#include "efl_event_hold.eo.hh"
#include "efl_event_key.eo.hh"
#include "efl_event_pointer.eo.hh"
#include "efl_file.eo.hh"
#include "efl_gfx.eo.hh"
#include "efl_gfx_map.eo.hh"
#include "efl_gfx_size_hint.eo.hh"
#include "efl_gfx_stack.eo.hh"
#include "efl_input_interface.eo.hh"
#include "efl_part.eo.hh"
#include "elm_interface_atspi_accessible.eo.hh"
#include "elm_interface_atspi_component.eo.hh"
#include "elm_interface_atspi_text.eo.hh"
#include "elm_layout.eo.hh"
#include "elm_widget.eo.hh"
#include "elm_widget_item.eo.hh"
#include "eo_base.eo.hh"
#include "eo_interface.eo.hh"
namespace elm { 
struct Code_Widget;
} 
namespace efl { namespace eo { template<> struct is_eolian_object< ::elm::Code_Widget> : ::std::true_type {}; } }

namespace eo_cxx {
namespace elm { 
struct Code_Widget {
    unsigned int columns_get() const;
   void gravity_get( ::efl::eolian::out_traits<double>::type x,  ::efl::eolian::out_traits<double>::type y) const;
   void gravity_set( ::efl::eolian::in_traits<double>::type x,  ::efl::eolian::in_traits<double>::type y) const;
   void policy_get( ::efl::eolian::out_traits<Elm_Scroller_Policy>::type policy_h,  ::efl::eolian::out_traits<Elm_Scroller_Policy>::type policy_v) const;
   void policy_set( ::efl::eolian::in_traits<Elm_Scroller_Policy>::type policy_h,  ::efl::eolian::in_traits<Elm_Scroller_Policy>::type policy_v) const;
    unsigned int tabstop_get() const;
   void tabstop_set( ::efl::eolian::in_traits< unsigned int>::type tabstop) const;
   bool editable_get() const;
   void editable_set( ::efl::eolian::in_traits<bool>::type editable) const;
   bool line_numbers_get() const;
   void line_numbers_set( ::efl::eolian::in_traits<bool>::type line_numbers) const;
    unsigned int line_width_marker_get() const;
   void line_width_marker_set( ::efl::eolian::in_traits< unsigned int>::type line_width_marker) const;
   bool show_whitespace_get() const;
   void show_whitespace_set( ::efl::eolian::in_traits<bool>::type show_whitespace) const;
   bool tab_inserts_spaces_get() const;
   void tab_inserts_spaces_set( ::efl::eolian::in_traits<bool>::type tab_inserts_spaces) const;
   void cursor_position_get( ::efl::eolian::out_traits< unsigned int>::type col,  ::efl::eolian::out_traits< unsigned int>::type line) const;
   void cursor_position_set( ::efl::eolian::in_traits< unsigned int>::type col,  ::efl::eolian::in_traits< unsigned int>::type line) const;
    unsigned int lines_visible_get() const;
   int text_left_gutter_width_get() const;
   int text_line_number_width_get() const;
    unsigned int text_tabwidth_at_column_get( ::efl::eolian::in_traits< unsigned int>::type column) const;
   void undo() const;
   static Eo_Class const* _eo_class()
   {
      return ELM_CODE_WIDGET_CLASS;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   operator ::elm::Code_Widget() const;
   operator ::elm::Code_Widget&();
   operator ::elm::Code_Widget const&() const;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Code_Widget,  ::edje::Object,  ::efl::Animator,  ::efl::Container,  ::efl::File,  ::efl::Gfx,  ::efl::Part,  ::efl::canvas::Group,  ::efl::canvas::Object,  ::efl::canvas::group::Clipped,  ::efl::gfx::Map,  ::efl::gfx::Stack,  ::efl::gfx::size::Hint,  ::efl::input::Interface,  ::elm::Layout,  ::elm::Widget,  ::elm::interface::Atspi_Accessible,  ::elm::interface::Atspi_Component,  ::elm::interface::atspi::Text,  ::eo::Base,  ::eo::Interface> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Code_Widget const ,  ::edje::Object const ,  ::efl::Animator const ,  ::efl::Container const ,  ::efl::File const ,  ::efl::Gfx const ,  ::efl::Part const ,  ::efl::canvas::Group const ,  ::efl::canvas::Object const ,  ::efl::canvas::group::Clipped const ,  ::efl::gfx::Map const ,  ::efl::gfx::Stack const ,  ::efl::gfx::size::Hint const ,  ::efl::input::Interface const ,  ::elm::Layout const ,  ::elm::Widget const ,  ::elm::interface::Atspi_Accessible const ,  ::elm::interface::Atspi_Component const ,  ::elm::interface::atspi::Text const ,  ::eo::Base const ,  ::eo::Interface const > operator&() const { return {this}; }
   /// @endcond
};
} 
}
namespace elm { 
struct Code_Widget : ::efl::eo::concrete
   , EO_CXX_INHERIT( ::edje::Object)
   , EO_CXX_INHERIT( ::efl::Animator)
   , EO_CXX_INHERIT( ::efl::Container)
   , EO_CXX_INHERIT( ::efl::File)
   , EO_CXX_INHERIT( ::efl::Gfx)
   , EO_CXX_INHERIT( ::efl::Part)
   , EO_CXX_INHERIT( ::efl ::canvas::Group)
   , EO_CXX_INHERIT( ::efl ::canvas::Object)
   , EO_CXX_INHERIT( ::efl ::canvas ::group::Clipped)
   , EO_CXX_INHERIT( ::efl ::gfx::Map)
   , EO_CXX_INHERIT( ::efl ::gfx::Stack)
   , EO_CXX_INHERIT( ::efl ::gfx ::size::Hint)
   , EO_CXX_INHERIT( ::efl ::input::Interface)
   , EO_CXX_INHERIT( ::elm::Layout)
   , EO_CXX_INHERIT( ::elm::Widget)
   , EO_CXX_INHERIT( ::elm ::interface::Atspi_Accessible)
   , EO_CXX_INHERIT( ::elm ::interface::Atspi_Component)
   , EO_CXX_INHERIT( ::elm ::interface ::atspi::Text)
   , EO_CXX_INHERIT( ::eo::Base)
   , EO_CXX_INHERIT( ::eo::Interface)
{
   explicit Code_Widget( ::Eo* eo)
      : ::efl::eo::concrete(eo) {}
   explicit Code_Widget(std::nullptr_t)
      : ::efl::eo::concrete(nullptr) {}
   Code_Widget(Code_Widget const& other) = default;
   Code_Widget(Code_Widget&& other) = default;
   Code_Widget& operator=(Code_Widget const& other) = default;
   Code_Widget& operator=(Code_Widget&& other) = default;
   Code_Widget()
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class());
   }
   Code_Widget( ::efl::eo::concrete parent)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, parent, _eo_class());
   }
   template <typename F> Code_Widget(F f, typename ::std::enable_if< ::efl::eolian::is_callable<F>::value>::type* = 0)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class(), f);
   }
    unsigned int columns_get() const;
   void gravity_get( ::efl::eolian::out_traits<double>::type x,  ::efl::eolian::out_traits<double>::type y) const;
   void gravity_set( ::efl::eolian::in_traits<double>::type x,  ::efl::eolian::in_traits<double>::type y) const;
   void policy_get( ::efl::eolian::out_traits<Elm_Scroller_Policy>::type policy_h,  ::efl::eolian::out_traits<Elm_Scroller_Policy>::type policy_v) const;
   void policy_set( ::efl::eolian::in_traits<Elm_Scroller_Policy>::type policy_h,  ::efl::eolian::in_traits<Elm_Scroller_Policy>::type policy_v) const;
    unsigned int tabstop_get() const;
   void tabstop_set( ::efl::eolian::in_traits< unsigned int>::type tabstop) const;
   bool editable_get() const;
   void editable_set( ::efl::eolian::in_traits<bool>::type editable) const;
   bool line_numbers_get() const;
   void line_numbers_set( ::efl::eolian::in_traits<bool>::type line_numbers) const;
    unsigned int line_width_marker_get() const;
   void line_width_marker_set( ::efl::eolian::in_traits< unsigned int>::type line_width_marker) const;
   bool show_whitespace_get() const;
   void show_whitespace_set( ::efl::eolian::in_traits<bool>::type show_whitespace) const;
   bool tab_inserts_spaces_get() const;
   void tab_inserts_spaces_set( ::efl::eolian::in_traits<bool>::type tab_inserts_spaces) const;
   void cursor_position_get( ::efl::eolian::out_traits< unsigned int>::type col,  ::efl::eolian::out_traits< unsigned int>::type line) const;
   void cursor_position_set( ::efl::eolian::in_traits< unsigned int>::type col,  ::efl::eolian::in_traits< unsigned int>::type line) const;
    unsigned int lines_visible_get() const;
   int text_left_gutter_width_get() const;
   int text_line_number_width_get() const;
    unsigned int text_tabwidth_at_column_get( ::efl::eolian::in_traits< unsigned int>::type column) const;
   void undo() const;
   static Eo_Class const* _eo_class()
   {
      return ELM_CODE_WIDGET_CLASS;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   static struct line_clicked_event
   {
      static Eo_Event_Description const* description()
      { return ELM_OBJ_CODE_WIDGET_EVENT_LINE_CLICKED; }
      typedef void parameter_type;
   } const line_clicked_event;
   static struct line_gutter_clicked_event
   {
      static Eo_Event_Description const* description()
      { return ELM_OBJ_CODE_WIDGET_EVENT_LINE_GUTTER_CLICKED; }
      typedef void parameter_type;
   } const line_gutter_clicked_event;
   static struct cursor_changed_event
   {
      static Eo_Event_Description const* description()
      { return ELM_OBJ_CODE_WIDGET_EVENT_CURSOR_CHANGED; }
      typedef void parameter_type;
   } const cursor_changed_event;
   static struct changed_user_event
   {
      static Eo_Event_Description const* description()
      { return ELM_OBJ_CODE_WIDGET_EVENT_CHANGED_USER; }
      typedef void parameter_type;
   } const changed_user_event;
   static struct selection_changed_event
   {
      static Eo_Event_Description const* description()
      { return ELM_OBJ_CODE_WIDGET_EVENT_SELECTION_CHANGED; }
      typedef void parameter_type;
   } const selection_changed_event;
   static struct selection_cleared_event
   {
      static Eo_Event_Description const* description()
      { return ELM_OBJ_CODE_WIDGET_EVENT_SELECTION_CLEARED; }
      typedef void parameter_type;
   } const selection_cleared_event;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Code_Widget,  ::edje::Object,  ::efl::Animator,  ::efl::Container,  ::efl::File,  ::efl::Gfx,  ::efl::Part,  ::efl::canvas::Group,  ::efl::canvas::Object,  ::efl::canvas::group::Clipped,  ::efl::gfx::Map,  ::efl::gfx::Stack,  ::efl::gfx::size::Hint,  ::efl::input::Interface,  ::elm::Layout,  ::elm::Widget,  ::elm::interface::Atspi_Accessible,  ::elm::interface::Atspi_Component,  ::elm::interface::atspi::Text,  ::eo::Base,  ::eo::Interface> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Code_Widget const ,  ::edje::Object const ,  ::efl::Animator const ,  ::efl::Container const ,  ::efl::File const ,  ::efl::Gfx const ,  ::efl::Part const ,  ::efl::canvas::Group const ,  ::efl::canvas::Object const ,  ::efl::canvas::group::Clipped const ,  ::efl::gfx::Map const ,  ::efl::gfx::Stack const ,  ::efl::gfx::size::Hint const ,  ::efl::input::Interface const ,  ::elm::Layout const ,  ::elm::Widget const ,  ::elm::interface::Atspi_Accessible const ,  ::elm::interface::Atspi_Component const ,  ::elm::interface::atspi::Text const ,  ::eo::Base const ,  ::eo::Interface const > operator&() const { return {this}; }
   /// @endcond
};
static_assert(sizeof(Code_Widget) == sizeof(Eo*), "");
static_assert(std::is_standard_layout<Code_Widget>::value, "");
} 
#include "elm_code_widget.eo.impl.hh"
#endif
