#ifndef ELM_DAYSELECTOR_EO_HH
#define ELM_DAYSELECTOR_EO_HH
#include <Eo.h>

extern "C" {
#include "edje_object.eo.h"
#include "efl_animator.eo.h"
#include "efl_canvas_group.eo.h"
#include "efl_canvas_group_clipped.eo.h"
#include "efl_canvas_object.eo.h"
#include "efl_container.eo.h"
#include "efl_event_hold.eo.h"
#include "efl_event_key.eo.h"
#include "efl_event_pointer.eo.h"
#include "efl_file.eo.h"
#include "efl_gfx.eo.h"
#include "efl_gfx_map.eo.h"
#include "efl_gfx_size_hint.eo.h"
#include "efl_gfx_stack.eo.h"
#include "efl_input_interface.eo.h"
#include "efl_part.eo.h"
#include "elm_dayselector.eo.h"
#include "elm_interface_atspi_accessible.eo.h"
#include "elm_interface_atspi_component.eo.h"
#include "elm_layout.eo.h"
#include "elm_widget.eo.h"
#include "elm_widget_item.eo.h"
#include "eo_base.eo.h"
#include "eo_interface.eo.h"
}
#include <Eina.hh>
#include <Eo.hh>
#include "edje_object.eo.hh"
#include "efl_animator.eo.hh"
#include "efl_canvas_group.eo.hh"
#include "efl_canvas_group_clipped.eo.hh"
#include "efl_canvas_object.eo.hh"
#include "efl_container.eo.hh"
#include "efl_event_hold.eo.hh"
#include "efl_event_key.eo.hh"
#include "efl_event_pointer.eo.hh"
#include "efl_file.eo.hh"
#include "efl_gfx.eo.hh"
#include "efl_gfx_map.eo.hh"
#include "efl_gfx_size_hint.eo.hh"
#include "efl_gfx_stack.eo.hh"
#include "efl_input_interface.eo.hh"
#include "efl_part.eo.hh"
#include "elm_interface_atspi_accessible.eo.hh"
#include "elm_interface_atspi_component.eo.hh"
#include "elm_layout.eo.hh"
#include "elm_widget.eo.hh"
#include "elm_widget_item.eo.hh"
#include "eo_base.eo.hh"
#include "eo_interface.eo.hh"
namespace elm { 
struct Dayselector;
} 
namespace efl { namespace eo { template<> struct is_eolian_object< ::elm::Dayselector> : ::std::true_type {}; } }

namespace eo_cxx {
namespace elm { 
struct Dayselector {
   Elm_Dayselector_Day week_start_get() const;
   void week_start_set( ::efl::eolian::in_traits<Elm_Dayselector_Day>::type day) const;
    unsigned int weekend_length_get() const;
   void weekend_length_set( ::efl::eolian::in_traits< unsigned int>::type length) const;
   Elm_Dayselector_Day weekend_start_get() const;
   void weekend_start_set( ::efl::eolian::in_traits<Elm_Dayselector_Day>::type day) const;
     ::efl::eina::list< ::efl::eina::stringshare> weekdays_names_get() const;
   void day_selected_set( ::efl::eolian::in_traits<Elm_Dayselector_Day>::type day,  ::efl::eolian::in_traits<bool>::type selected) const;
   bool day_selected_get( ::efl::eolian::in_traits<Elm_Dayselector_Day>::type day) const;
   static Eo_Class const* _eo_class()
   {
      return ELM_DAYSELECTOR_CLASS;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   operator ::elm::Dayselector() const;
   operator ::elm::Dayselector&();
   operator ::elm::Dayselector const&() const;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Dayselector,  ::edje::Object,  ::efl::Animator,  ::efl::Container,  ::efl::File,  ::efl::Gfx,  ::efl::Part,  ::efl::canvas::Group,  ::efl::canvas::Object,  ::efl::canvas::group::Clipped,  ::efl::gfx::Map,  ::efl::gfx::Stack,  ::efl::gfx::size::Hint,  ::efl::input::Interface,  ::elm::Layout,  ::elm::Widget,  ::elm::interface::Atspi_Accessible,  ::elm::interface::Atspi_Component,  ::eo::Base,  ::eo::Interface> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Dayselector const ,  ::edje::Object const ,  ::efl::Animator const ,  ::efl::Container const ,  ::efl::File const ,  ::efl::Gfx const ,  ::efl::Part const ,  ::efl::canvas::Group const ,  ::efl::canvas::Object const ,  ::efl::canvas::group::Clipped const ,  ::efl::gfx::Map const ,  ::efl::gfx::Stack const ,  ::efl::gfx::size::Hint const ,  ::efl::input::Interface const ,  ::elm::Layout const ,  ::elm::Widget const ,  ::elm::interface::Atspi_Accessible const ,  ::elm::interface::Atspi_Component const ,  ::eo::Base const ,  ::eo::Interface const > operator&() const { return {this}; }
   /// @endcond
};
} 
}
namespace elm { 
struct Dayselector : ::efl::eo::concrete
   , EO_CXX_INHERIT( ::edje::Object)
   , EO_CXX_INHERIT( ::efl::Animator)
   , EO_CXX_INHERIT( ::efl::Container)
   , EO_CXX_INHERIT( ::efl::File)
   , EO_CXX_INHERIT( ::efl::Gfx)
   , EO_CXX_INHERIT( ::efl::Part)
   , EO_CXX_INHERIT( ::efl ::canvas::Group)
   , EO_CXX_INHERIT( ::efl ::canvas::Object)
   , EO_CXX_INHERIT( ::efl ::canvas ::group::Clipped)
   , EO_CXX_INHERIT( ::efl ::gfx::Map)
   , EO_CXX_INHERIT( ::efl ::gfx::Stack)
   , EO_CXX_INHERIT( ::efl ::gfx ::size::Hint)
   , EO_CXX_INHERIT( ::efl ::input::Interface)
   , EO_CXX_INHERIT( ::elm::Layout)
   , EO_CXX_INHERIT( ::elm::Widget)
   , EO_CXX_INHERIT( ::elm ::interface::Atspi_Accessible)
   , EO_CXX_INHERIT( ::elm ::interface::Atspi_Component)
   , EO_CXX_INHERIT( ::eo::Base)
   , EO_CXX_INHERIT( ::eo::Interface)
{
   explicit Dayselector( ::Eo* eo)
      : ::efl::eo::concrete(eo) {}
   explicit Dayselector(std::nullptr_t)
      : ::efl::eo::concrete(nullptr) {}
   Dayselector(Dayselector const& other) = default;
   Dayselector(Dayselector&& other) = default;
   Dayselector& operator=(Dayselector const& other) = default;
   Dayselector& operator=(Dayselector&& other) = default;
   Dayselector()
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class());
   }
   Dayselector( ::efl::eo::concrete parent)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, parent, _eo_class());
   }
   template <typename F> Dayselector(F f, typename ::std::enable_if< ::efl::eolian::is_callable<F>::value>::type* = 0)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class(), f);
   }
   Elm_Dayselector_Day week_start_get() const;
   void week_start_set( ::efl::eolian::in_traits<Elm_Dayselector_Day>::type day) const;
    unsigned int weekend_length_get() const;
   void weekend_length_set( ::efl::eolian::in_traits< unsigned int>::type length) const;
   Elm_Dayselector_Day weekend_start_get() const;
   void weekend_start_set( ::efl::eolian::in_traits<Elm_Dayselector_Day>::type day) const;
     ::efl::eina::list< ::efl::eina::stringshare> weekdays_names_get() const;
   void day_selected_set( ::efl::eolian::in_traits<Elm_Dayselector_Day>::type day,  ::efl::eolian::in_traits<bool>::type selected) const;
   bool day_selected_get( ::efl::eolian::in_traits<Elm_Dayselector_Day>::type day) const;
   static Eo_Class const* _eo_class()
   {
      return ELM_DAYSELECTOR_CLASS;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   static struct dayselector_changed_event
   {
      static Eo_Event_Description const* description()
      { return ELM_DAYSELECTOR_EVENT_DAYSELECTOR_CHANGED; }
      typedef void parameter_type;
   } const dayselector_changed_event;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Dayselector,  ::edje::Object,  ::efl::Animator,  ::efl::Container,  ::efl::File,  ::efl::Gfx,  ::efl::Part,  ::efl::canvas::Group,  ::efl::canvas::Object,  ::efl::canvas::group::Clipped,  ::efl::gfx::Map,  ::efl::gfx::Stack,  ::efl::gfx::size::Hint,  ::efl::input::Interface,  ::elm::Layout,  ::elm::Widget,  ::elm::interface::Atspi_Accessible,  ::elm::interface::Atspi_Component,  ::eo::Base,  ::eo::Interface> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Dayselector const ,  ::edje::Object const ,  ::efl::Animator const ,  ::efl::Container const ,  ::efl::File const ,  ::efl::Gfx const ,  ::efl::Part const ,  ::efl::canvas::Group const ,  ::efl::canvas::Object const ,  ::efl::canvas::group::Clipped const ,  ::efl::gfx::Map const ,  ::efl::gfx::Stack const ,  ::efl::gfx::size::Hint const ,  ::efl::input::Interface const ,  ::elm::Layout const ,  ::elm::Widget const ,  ::elm::interface::Atspi_Accessible const ,  ::elm::interface::Atspi_Component const ,  ::eo::Base const ,  ::eo::Interface const > operator&() const { return {this}; }
   /// @endcond
};
static_assert(sizeof(Dayselector) == sizeof(Eo*), "");
static_assert(std::is_standard_layout<Dayselector>::value, "");
} 
#include "elm_dayselector.eo.impl.hh"
#endif
