namespace elm { 
inline double Gesture_Layer::zoom_step_get() const
{
   double __return_value =  ::elm_obj_gesture_layer_zoom_step_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<double>(__return_value);
}
inline void Gesture_Layer::zoom_step_set( ::efl::eolian::in_traits<double>::type step) const
{
    ::elm_obj_gesture_layer_zoom_step_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(step));
}
inline Evas_Coord Gesture_Layer::tap_finger_size_get() const
{
   Evas_Coord __return_value =  ::elm_obj_gesture_layer_tap_finger_size_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<Evas_Coord>(__return_value);
}
inline void Gesture_Layer::tap_finger_size_set( ::efl::eolian::in_traits<Evas_Coord>::type sz) const
{
    ::elm_obj_gesture_layer_tap_finger_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(sz));
}
inline bool Gesture_Layer::hold_events_get() const
{
   Eina_Bool __return_value =  ::elm_obj_gesture_layer_hold_events_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Gesture_Layer::hold_events_set( ::efl::eolian::in_traits<bool>::type hold_events) const
{
    ::elm_obj_gesture_layer_hold_events_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(hold_events));
}
inline double Gesture_Layer::rotate_step_get() const
{
   double __return_value =  ::elm_obj_gesture_layer_rotate_step_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<double>(__return_value);
}
inline void Gesture_Layer::rotate_step_set( ::efl::eolian::in_traits<double>::type step) const
{
    ::elm_obj_gesture_layer_rotate_step_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(step));
}
inline void Gesture_Layer::cb_set( ::efl::eolian::in_traits<Elm_Gesture_Type>::type idx,  ::efl::eolian::in_traits<Elm_Gesture_State>::type cb_type,  ::efl::eolian::in_traits<Elm_Gesture_Event_Cb>::type cb,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_gesture_layer_cb_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Gesture_Type,  ::efl::eolian::in_traits<Elm_Gesture_Type>::type>(idx)
      ,  ::efl::eolian::convert_to_c<Elm_Gesture_State,  ::efl::eolian::in_traits<Elm_Gesture_State>::type>(cb_type)
      ,  ::efl::eolian::convert_to_c<Elm_Gesture_Event_Cb,  ::efl::eolian::in_traits<Elm_Gesture_Event_Cb>::type>(cb)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline bool Gesture_Layer::attach( ::efl::eolian::in_traits< ::efl::canvas::Object>::type target) const
{
   Eina_Bool __return_value =  ::elm_obj_gesture_layer_attach(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(target));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Gesture_Layer::cb_del( ::efl::eolian::in_traits<Elm_Gesture_Type>::type idx,  ::efl::eolian::in_traits<Elm_Gesture_State>::type cb_type,  ::efl::eolian::in_traits<Elm_Gesture_Event_Cb>::type cb,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_gesture_layer_cb_del(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Gesture_Type,  ::efl::eolian::in_traits<Elm_Gesture_Type>::type>(idx)
      ,  ::efl::eolian::convert_to_c<Elm_Gesture_State,  ::efl::eolian::in_traits<Elm_Gesture_State>::type>(cb_type)
      ,  ::efl::eolian::convert_to_c<Elm_Gesture_Event_Cb,  ::efl::eolian::in_traits<Elm_Gesture_Event_Cb>::type>(cb)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline void Gesture_Layer::cb_add( ::efl::eolian::in_traits<Elm_Gesture_Type>::type idx,  ::efl::eolian::in_traits<Elm_Gesture_State>::type cb_type,  ::efl::eolian::in_traits<Elm_Gesture_Event_Cb>::type cb,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_gesture_layer_cb_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Gesture_Type,  ::efl::eolian::in_traits<Elm_Gesture_Type>::type>(idx)
      ,  ::efl::eolian::convert_to_c<Elm_Gesture_State,  ::efl::eolian::in_traits<Elm_Gesture_State>::type>(cb_type)
      ,  ::efl::eolian::convert_to_c<Elm_Gesture_Event_Cb,  ::efl::eolian::in_traits<Elm_Gesture_Event_Cb>::type>(cb)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
} 
namespace eo_cxx {
namespace elm { 
inline double Gesture_Layer::zoom_step_get() const
{
   double __return_value =  ::elm_obj_gesture_layer_zoom_step_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<double>(__return_value);
}
inline void Gesture_Layer::zoom_step_set( ::efl::eolian::in_traits<double>::type step) const
{
    ::elm_obj_gesture_layer_zoom_step_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(step));
}
inline Evas_Coord Gesture_Layer::tap_finger_size_get() const
{
   Evas_Coord __return_value =  ::elm_obj_gesture_layer_tap_finger_size_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<Evas_Coord>(__return_value);
}
inline void Gesture_Layer::tap_finger_size_set( ::efl::eolian::in_traits<Evas_Coord>::type sz) const
{
    ::elm_obj_gesture_layer_tap_finger_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(sz));
}
inline bool Gesture_Layer::hold_events_get() const
{
   Eina_Bool __return_value =  ::elm_obj_gesture_layer_hold_events_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Gesture_Layer::hold_events_set( ::efl::eolian::in_traits<bool>::type hold_events) const
{
    ::elm_obj_gesture_layer_hold_events_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(hold_events));
}
inline double Gesture_Layer::rotate_step_get() const
{
   double __return_value =  ::elm_obj_gesture_layer_rotate_step_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<double>(__return_value);
}
inline void Gesture_Layer::rotate_step_set( ::efl::eolian::in_traits<double>::type step) const
{
    ::elm_obj_gesture_layer_rotate_step_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(step));
}
inline void Gesture_Layer::cb_set( ::efl::eolian::in_traits<Elm_Gesture_Type>::type idx,  ::efl::eolian::in_traits<Elm_Gesture_State>::type cb_type,  ::efl::eolian::in_traits<Elm_Gesture_Event_Cb>::type cb,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_gesture_layer_cb_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Gesture_Type,  ::efl::eolian::in_traits<Elm_Gesture_Type>::type>(idx)
      ,  ::efl::eolian::convert_to_c<Elm_Gesture_State,  ::efl::eolian::in_traits<Elm_Gesture_State>::type>(cb_type)
      ,  ::efl::eolian::convert_to_c<Elm_Gesture_Event_Cb,  ::efl::eolian::in_traits<Elm_Gesture_Event_Cb>::type>(cb)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline bool Gesture_Layer::attach( ::efl::eolian::in_traits< ::efl::canvas::Object>::type target) const
{
   Eina_Bool __return_value =  ::elm_obj_gesture_layer_attach(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(target));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Gesture_Layer::cb_del( ::efl::eolian::in_traits<Elm_Gesture_Type>::type idx,  ::efl::eolian::in_traits<Elm_Gesture_State>::type cb_type,  ::efl::eolian::in_traits<Elm_Gesture_Event_Cb>::type cb,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_gesture_layer_cb_del(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Gesture_Type,  ::efl::eolian::in_traits<Elm_Gesture_Type>::type>(idx)
      ,  ::efl::eolian::convert_to_c<Elm_Gesture_State,  ::efl::eolian::in_traits<Elm_Gesture_State>::type>(cb_type)
      ,  ::efl::eolian::convert_to_c<Elm_Gesture_Event_Cb,  ::efl::eolian::in_traits<Elm_Gesture_Event_Cb>::type>(cb)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline void Gesture_Layer::cb_add( ::efl::eolian::in_traits<Elm_Gesture_Type>::type idx,  ::efl::eolian::in_traits<Elm_Gesture_State>::type cb_type,  ::efl::eolian::in_traits<Elm_Gesture_Event_Cb>::type cb,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_gesture_layer_cb_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Gesture_Type,  ::efl::eolian::in_traits<Elm_Gesture_Type>::type>(idx)
      ,  ::efl::eolian::convert_to_c<Elm_Gesture_State,  ::efl::eolian::in_traits<Elm_Gesture_State>::type>(cb_type)
      ,  ::efl::eolian::convert_to_c<Elm_Gesture_Event_Cb,  ::efl::eolian::in_traits<Elm_Gesture_Event_Cb>::type>(cb)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline elm::Gesture_Layer::operator ::elm::Gesture_Layer() const { return *static_cast< ::elm::Gesture_Layer const*>(static_cast<void const*>(this)); }
inline elm::Gesture_Layer::operator ::elm::Gesture_Layer&() { return *static_cast< ::elm::Gesture_Layer*>(static_cast<void*>(this)); }
inline elm::Gesture_Layer::operator ::elm::Gesture_Layer const&() const { return *static_cast< ::elm::Gesture_Layer const*>(static_cast<void const*>(this)); }
} }

