namespace elm { 
inline int Map::zoom_get() const
{
   int __return_value =  ::elm_obj_map_zoom_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<int>(__return_value);
}
inline void Map::zoom_set( ::efl::eolian::in_traits<int>::type zoom) const
{
    ::elm_obj_map_zoom_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(zoom));
}
inline bool Map::paused_get() const
{
   Eina_Bool __return_value =  ::elm_obj_map_paused_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Map::paused_set( ::efl::eolian::in_traits<bool>::type paused) const
{
    ::elm_obj_map_paused_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(paused));
}
inline bool Map::wheel_disabled_get() const
{
   Eina_Bool __return_value =  ::elm_obj_map_wheel_disabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Map::wheel_disabled_set( ::efl::eolian::in_traits<bool>::type disabled) const
{
    ::elm_obj_map_wheel_disabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(disabled));
}
inline int Map::zoom_min_get() const
{
   int __return_value =  ::elm_obj_map_zoom_min_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<int>(__return_value);
}
inline void Map::zoom_min_set( ::efl::eolian::in_traits<int>::type zoom) const
{
    ::elm_obj_map_zoom_min_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(zoom));
}
inline void Map::rotate_get( ::efl::eolian::out_traits<double>::type degree,  ::efl::eolian::out_traits<Evas_Coord>::type cx,  ::efl::eolian::out_traits<Evas_Coord>::type cy) const
{
   double __out_param_degree = {};
   Evas_Coord __out_param_cx = {};
   Evas_Coord __out_param_cy = {};
    ::elm_obj_map_rotate_get(this->_eo_ptr()
      , & __out_param_degree
      , & __out_param_cx
      , & __out_param_cy);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<double>::type, double>(degree, __out_param_degree);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(cx, __out_param_cx);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(cy, __out_param_cy);
}
inline void Map::rotate_set( ::efl::eolian::in_traits<double>::type degree,  ::efl::eolian::in_traits<Evas_Coord>::type cx,  ::efl::eolian::in_traits<Evas_Coord>::type cy) const
{
    ::elm_obj_map_rotate_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(degree)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(cx)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(cy));
}
inline  ::efl::eina::string_view Map::user_agent_get() const
{
   const char * __return_value =  ::elm_obj_map_user_agent_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eina::string_view>(__return_value);
}
inline void Map::user_agent_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type user_agent) const
{
    ::elm_obj_map_user_agent_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(user_agent));
}
inline int Map::zoom_max_get() const
{
   int __return_value =  ::elm_obj_map_zoom_max_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<int>(__return_value);
}
inline void Map::zoom_max_set( ::efl::eolian::in_traits<int>::type zoom) const
{
    ::elm_obj_map_zoom_max_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(zoom));
}
inline Elm_Map_Zoom_Mode Map::zoom_mode_get() const
{
   Elm_Map_Zoom_Mode __return_value =  ::elm_obj_map_zoom_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<Elm_Map_Zoom_Mode>(__return_value);
}
inline void Map::zoom_mode_set( ::efl::eolian::in_traits<Elm_Map_Zoom_Mode>::type mode) const
{
    ::elm_obj_map_zoom_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Map_Zoom_Mode,  ::efl::eolian::in_traits<Elm_Map_Zoom_Mode>::type>(mode));
}
inline void Map::region_get( ::efl::eolian::out_traits<double>::type lon,  ::efl::eolian::out_traits<double>::type lat) const
{
   double __out_param_lon = {};
   double __out_param_lat = {};
    ::elm_obj_map_region_get(this->_eo_ptr()
      , & __out_param_lon
      , & __out_param_lat);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<double>::type, double>(lon, __out_param_lon);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<double>::type, double>(lat, __out_param_lat);
}
inline void Map::tile_load_status_get( ::efl::eolian::out_traits<int>::type try_num,  ::efl::eolian::out_traits<int>::type finish_num) const
{
   int __out_param_try_num = {};
   int __out_param_finish_num = {};
    ::elm_obj_map_tile_load_status_get(this->_eo_ptr()
      , & __out_param_try_num
      , & __out_param_finish_num);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(try_num, __out_param_try_num);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(finish_num, __out_param_finish_num);
}
inline void Map::source_set( ::efl::eolian::in_traits<Elm_Map_Source_Type>::type type,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type source_name) const
{
    ::elm_obj_map_source_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Map_Source_Type,  ::efl::eolian::in_traits<Elm_Map_Source_Type>::type>(type)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(source_name));
}
inline  ::efl::eina::string_view Map::source_get( ::efl::eolian::in_traits<Elm_Map_Source_Type>::type type) const
{
   const char * __return_value =  ::elm_obj_map_source_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Map_Source_Type,  ::efl::eolian::in_traits<Elm_Map_Source_Type>::type>(type));
   return ::efl::eolian::convert_to_return< ::efl::eina::string_view>(__return_value);
}
inline  ::efl::canvas::Object Map::track_add( ::efl::eolian::in_traits<void*>::type emap) const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_map_track_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(emap));
   return ::efl::eolian::convert_to_return< ::efl::canvas::Object>(__return_value);
}
inline void Map::region_to_canvas_convert( ::efl::eolian::in_traits<double>::type lon,  ::efl::eolian::in_traits<double>::type lat,  ::efl::eolian::out_traits<Evas_Coord>::type x,  ::efl::eolian::out_traits<Evas_Coord>::type y) const
{
   Evas_Coord __out_param_x = {};
   Evas_Coord __out_param_y = {};
    ::elm_obj_map_region_to_canvas_convert(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(lon)
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(lat)
      , & __out_param_x
      , & __out_param_y);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(x, __out_param_x);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(y, __out_param_y);
}
inline void Map::region_show( ::efl::eolian::in_traits<double>::type lon,  ::efl::eolian::in_traits<double>::type lat) const
{
    ::elm_obj_map_region_show(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(lon)
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(lat));
}
inline void Map::name_search( ::efl::eolian::in_traits< ::efl::eina::string_view>::type address,  ::efl::eolian::in_traits< ::efl::eina::optional<Elm_Map_Name_List_Cb>>::type name_cb,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_map_name_search(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(address)
      ,  ::efl::eolian::convert_to_c<Elm_Map_Name_List_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Elm_Map_Name_List_Cb>>::type>(name_cb)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline void Map::region_bring_in( ::efl::eolian::in_traits<double>::type lon,  ::efl::eolian::in_traits<double>::type lat) const
{
    ::elm_obj_map_region_bring_in(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(lon)
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(lat));
}
inline void Map::region_zoom_bring_in( ::efl::eolian::in_traits<int>::type zoom,  ::efl::eolian::in_traits<double>::type lon,  ::efl::eolian::in_traits<double>::type lat) const
{
    ::elm_obj_map_region_zoom_bring_in(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(zoom)
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(lon)
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(lat));
}
inline void Map::track_remove( ::efl::eolian::in_traits< ::efl::canvas::Object>::type route) const
{
    ::elm_obj_map_track_remove(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(route));
}
inline void Map::canvas_to_region_convert( ::efl::eolian::in_traits<Evas_Coord>::type x,  ::efl::eolian::in_traits<Evas_Coord>::type y,  ::efl::eolian::out_traits<double>::type lon,  ::efl::eolian::out_traits<double>::type lat) const
{
   double __out_param_lon = {};
   double __out_param_lat = {};
    ::elm_obj_map_canvas_to_region_convert(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(x)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(y)
      , & __out_param_lon
      , & __out_param_lat);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<double>::type, double>(lon, __out_param_lon);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<double>::type, double>(lat, __out_param_lat);
}
} 
namespace eo_cxx {
namespace elm { 
inline int Map::zoom_get() const
{
   int __return_value =  ::elm_obj_map_zoom_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<int>(__return_value);
}
inline void Map::zoom_set( ::efl::eolian::in_traits<int>::type zoom) const
{
    ::elm_obj_map_zoom_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(zoom));
}
inline bool Map::paused_get() const
{
   Eina_Bool __return_value =  ::elm_obj_map_paused_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Map::paused_set( ::efl::eolian::in_traits<bool>::type paused) const
{
    ::elm_obj_map_paused_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(paused));
}
inline bool Map::wheel_disabled_get() const
{
   Eina_Bool __return_value =  ::elm_obj_map_wheel_disabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Map::wheel_disabled_set( ::efl::eolian::in_traits<bool>::type disabled) const
{
    ::elm_obj_map_wheel_disabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(disabled));
}
inline int Map::zoom_min_get() const
{
   int __return_value =  ::elm_obj_map_zoom_min_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<int>(__return_value);
}
inline void Map::zoom_min_set( ::efl::eolian::in_traits<int>::type zoom) const
{
    ::elm_obj_map_zoom_min_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(zoom));
}
inline void Map::rotate_get( ::efl::eolian::out_traits<double>::type degree,  ::efl::eolian::out_traits<Evas_Coord>::type cx,  ::efl::eolian::out_traits<Evas_Coord>::type cy) const
{
   double __out_param_degree = {};
   Evas_Coord __out_param_cx = {};
   Evas_Coord __out_param_cy = {};
    ::elm_obj_map_rotate_get(this->_eo_ptr()
      , & __out_param_degree
      , & __out_param_cx
      , & __out_param_cy);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<double>::type, double>(degree, __out_param_degree);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(cx, __out_param_cx);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(cy, __out_param_cy);
}
inline void Map::rotate_set( ::efl::eolian::in_traits<double>::type degree,  ::efl::eolian::in_traits<Evas_Coord>::type cx,  ::efl::eolian::in_traits<Evas_Coord>::type cy) const
{
    ::elm_obj_map_rotate_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(degree)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(cx)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(cy));
}
inline  ::efl::eina::string_view Map::user_agent_get() const
{
   const char * __return_value =  ::elm_obj_map_user_agent_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eina::string_view>(__return_value);
}
inline void Map::user_agent_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type user_agent) const
{
    ::elm_obj_map_user_agent_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(user_agent));
}
inline int Map::zoom_max_get() const
{
   int __return_value =  ::elm_obj_map_zoom_max_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<int>(__return_value);
}
inline void Map::zoom_max_set( ::efl::eolian::in_traits<int>::type zoom) const
{
    ::elm_obj_map_zoom_max_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(zoom));
}
inline Elm_Map_Zoom_Mode Map::zoom_mode_get() const
{
   Elm_Map_Zoom_Mode __return_value =  ::elm_obj_map_zoom_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<Elm_Map_Zoom_Mode>(__return_value);
}
inline void Map::zoom_mode_set( ::efl::eolian::in_traits<Elm_Map_Zoom_Mode>::type mode) const
{
    ::elm_obj_map_zoom_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Map_Zoom_Mode,  ::efl::eolian::in_traits<Elm_Map_Zoom_Mode>::type>(mode));
}
inline void Map::region_get( ::efl::eolian::out_traits<double>::type lon,  ::efl::eolian::out_traits<double>::type lat) const
{
   double __out_param_lon = {};
   double __out_param_lat = {};
    ::elm_obj_map_region_get(this->_eo_ptr()
      , & __out_param_lon
      , & __out_param_lat);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<double>::type, double>(lon, __out_param_lon);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<double>::type, double>(lat, __out_param_lat);
}
inline void Map::tile_load_status_get( ::efl::eolian::out_traits<int>::type try_num,  ::efl::eolian::out_traits<int>::type finish_num) const
{
   int __out_param_try_num = {};
   int __out_param_finish_num = {};
    ::elm_obj_map_tile_load_status_get(this->_eo_ptr()
      , & __out_param_try_num
      , & __out_param_finish_num);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(try_num, __out_param_try_num);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(finish_num, __out_param_finish_num);
}
inline void Map::source_set( ::efl::eolian::in_traits<Elm_Map_Source_Type>::type type,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type source_name) const
{
    ::elm_obj_map_source_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Map_Source_Type,  ::efl::eolian::in_traits<Elm_Map_Source_Type>::type>(type)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(source_name));
}
inline  ::efl::eina::string_view Map::source_get( ::efl::eolian::in_traits<Elm_Map_Source_Type>::type type) const
{
   const char * __return_value =  ::elm_obj_map_source_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Map_Source_Type,  ::efl::eolian::in_traits<Elm_Map_Source_Type>::type>(type));
   return ::efl::eolian::convert_to_return< ::efl::eina::string_view>(__return_value);
}
inline  ::efl::canvas::Object Map::track_add( ::efl::eolian::in_traits<void*>::type emap) const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_map_track_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(emap));
   return ::efl::eolian::convert_to_return< ::efl::canvas::Object>(__return_value);
}
inline void Map::region_to_canvas_convert( ::efl::eolian::in_traits<double>::type lon,  ::efl::eolian::in_traits<double>::type lat,  ::efl::eolian::out_traits<Evas_Coord>::type x,  ::efl::eolian::out_traits<Evas_Coord>::type y) const
{
   Evas_Coord __out_param_x = {};
   Evas_Coord __out_param_y = {};
    ::elm_obj_map_region_to_canvas_convert(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(lon)
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(lat)
      , & __out_param_x
      , & __out_param_y);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(x, __out_param_x);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(y, __out_param_y);
}
inline void Map::region_show( ::efl::eolian::in_traits<double>::type lon,  ::efl::eolian::in_traits<double>::type lat) const
{
    ::elm_obj_map_region_show(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(lon)
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(lat));
}
inline void Map::name_search( ::efl::eolian::in_traits< ::efl::eina::string_view>::type address,  ::efl::eolian::in_traits< ::efl::eina::optional<Elm_Map_Name_List_Cb>>::type name_cb,  ::efl::eolian::in_traits<void*>::type data) const
{
    ::elm_obj_map_name_search(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(address)
      ,  ::efl::eolian::convert_to_c<Elm_Map_Name_List_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Elm_Map_Name_List_Cb>>::type>(name_cb)
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline void Map::region_bring_in( ::efl::eolian::in_traits<double>::type lon,  ::efl::eolian::in_traits<double>::type lat) const
{
    ::elm_obj_map_region_bring_in(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(lon)
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(lat));
}
inline void Map::region_zoom_bring_in( ::efl::eolian::in_traits<int>::type zoom,  ::efl::eolian::in_traits<double>::type lon,  ::efl::eolian::in_traits<double>::type lat) const
{
    ::elm_obj_map_region_zoom_bring_in(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(zoom)
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(lon)
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(lat));
}
inline void Map::track_remove( ::efl::eolian::in_traits< ::efl::canvas::Object>::type route) const
{
    ::elm_obj_map_track_remove(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(route));
}
inline void Map::canvas_to_region_convert( ::efl::eolian::in_traits<Evas_Coord>::type x,  ::efl::eolian::in_traits<Evas_Coord>::type y,  ::efl::eolian::out_traits<double>::type lon,  ::efl::eolian::out_traits<double>::type lat) const
{
   double __out_param_lon = {};
   double __out_param_lat = {};
    ::elm_obj_map_canvas_to_region_convert(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(x)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(y)
      , & __out_param_lon
      , & __out_param_lat);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<double>::type, double>(lon, __out_param_lon);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<double>::type, double>(lat, __out_param_lat);
}
inline elm::Map::operator ::elm::Map() const { return *static_cast< ::elm::Map const*>(static_cast<void const*>(this)); }
inline elm::Map::operator ::elm::Map&() { return *static_cast< ::elm::Map*>(static_cast<void*>(this)); }
inline elm::Map::operator ::elm::Map const&() const { return *static_cast< ::elm::Map const*>(static_cast<void const*>(this)); }
} }

