#ifndef ELM_MULTIBUTTONENTRY_EO_HH
#define ELM_MULTIBUTTONENTRY_EO_HH
#include <Eo.h>

extern "C" {
#include "edje_object.eo.h"
#include "efl_animator.eo.h"
#include "efl_canvas_group.eo.h"
#include "efl_canvas_group_clipped.eo.h"
#include "efl_canvas_object.eo.h"
#include "efl_container.eo.h"
#include "efl_event_hold.eo.h"
#include "efl_event_key.eo.h"
#include "efl_event_pointer.eo.h"
#include "efl_file.eo.h"
#include "efl_gfx.eo.h"
#include "efl_gfx_map.eo.h"
#include "efl_gfx_size_hint.eo.h"
#include "efl_gfx_stack.eo.h"
#include "efl_input_interface.eo.h"
#include "efl_part.eo.h"
#include "elm_interface_atspi_accessible.eo.h"
#include "elm_interface_atspi_component.eo.h"
#include "elm_layout.eo.h"
#include "elm_multibuttonentry.eo.h"
#include "elm_widget.eo.h"
#include "elm_widget_item.eo.h"
#include "eo_base.eo.h"
#include "eo_interface.eo.h"
}
#include <Eina.hh>
#include <Eo.hh>
#include "edje_object.eo.hh"
#include "efl_animator.eo.hh"
#include "efl_canvas_group.eo.hh"
#include "efl_canvas_group_clipped.eo.hh"
#include "efl_canvas_object.eo.hh"
#include "efl_container.eo.hh"
#include "efl_event_hold.eo.hh"
#include "efl_event_key.eo.hh"
#include "efl_event_pointer.eo.hh"
#include "efl_file.eo.hh"
#include "efl_gfx.eo.hh"
#include "efl_gfx_map.eo.hh"
#include "efl_gfx_size_hint.eo.hh"
#include "efl_gfx_stack.eo.hh"
#include "efl_input_interface.eo.hh"
#include "efl_part.eo.hh"
#include "elm_interface_atspi_accessible.eo.hh"
#include "elm_interface_atspi_component.eo.hh"
#include "elm_layout.eo.hh"
#include "elm_widget.eo.hh"
#include "elm_widget_item.eo.hh"
#include "eo_base.eo.hh"
#include "eo_interface.eo.hh"
namespace elm { 
struct Multibuttonentry;
} 
namespace efl { namespace eo { template<> struct is_eolian_object< ::elm::Multibuttonentry> : ::std::true_type {}; } }

namespace eo_cxx {
namespace elm { 
struct Multibuttonentry {
   bool editable_get() const;
   void editable_set( ::efl::eolian::in_traits<bool>::type editable) const;
   bool expanded_get() const;
   void expanded_set( ::efl::eolian::in_traits<bool>::type expanded) const;
   void format_function_set( ::efl::eolian::in_traits<Elm_Multibuttonentry_Format_Cb>::type format_function,  ::efl::eolian::in_traits<void const*>::type data) const;
     ::efl::eina::range_list< ::elm::widget::Item> items_get() const;
    ::elm::widget::Item first_item_get() const;
    ::elm::widget::Item last_item_get() const;
    ::efl::canvas::Object entry_get() const;
    ::elm::widget::Item selected_item_get() const;
    ::elm::widget::Item item_prepend( ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void*>::type data) const;
   void clear() const;
   void item_filter_remove( ::efl::eolian::in_traits<Elm_Multibuttonentry_Item_Filter_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const;
    ::elm::widget::Item item_insert_before( ::efl::eolian::in_traits< ::elm::widget::Item>::type before,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void*>::type data) const;
    ::elm::widget::Item item_append( ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void*>::type data) const;
   void item_filter_prepend( ::efl::eolian::in_traits<Elm_Multibuttonentry_Item_Filter_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const;
   void item_filter_append( ::efl::eolian::in_traits<Elm_Multibuttonentry_Item_Filter_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const;
    ::elm::widget::Item item_insert_after( ::efl::eolian::in_traits< ::elm::widget::Item>::type after,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void*>::type data) const;
   static Eo_Class const* _eo_class()
   {
      return ELM_MULTIBUTTONENTRY_CLASS;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   operator ::elm::Multibuttonentry() const;
   operator ::elm::Multibuttonentry&();
   operator ::elm::Multibuttonentry const&() const;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Multibuttonentry,  ::edje::Object,  ::efl::Animator,  ::efl::Container,  ::efl::File,  ::efl::Gfx,  ::efl::Part,  ::efl::canvas::Group,  ::efl::canvas::Object,  ::efl::canvas::group::Clipped,  ::efl::gfx::Map,  ::efl::gfx::Stack,  ::efl::gfx::size::Hint,  ::efl::input::Interface,  ::elm::Layout,  ::elm::Widget,  ::elm::interface::Atspi_Accessible,  ::elm::interface::Atspi_Component,  ::eo::Base,  ::eo::Interface> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Multibuttonentry const ,  ::edje::Object const ,  ::efl::Animator const ,  ::efl::Container const ,  ::efl::File const ,  ::efl::Gfx const ,  ::efl::Part const ,  ::efl::canvas::Group const ,  ::efl::canvas::Object const ,  ::efl::canvas::group::Clipped const ,  ::efl::gfx::Map const ,  ::efl::gfx::Stack const ,  ::efl::gfx::size::Hint const ,  ::efl::input::Interface const ,  ::elm::Layout const ,  ::elm::Widget const ,  ::elm::interface::Atspi_Accessible const ,  ::elm::interface::Atspi_Component const ,  ::eo::Base const ,  ::eo::Interface const > operator&() const { return {this}; }
   /// @endcond
};
} 
}
namespace elm { 
struct Multibuttonentry : ::efl::eo::concrete
   , EO_CXX_INHERIT( ::edje::Object)
   , EO_CXX_INHERIT( ::efl::Animator)
   , EO_CXX_INHERIT( ::efl::Container)
   , EO_CXX_INHERIT( ::efl::File)
   , EO_CXX_INHERIT( ::efl::Gfx)
   , EO_CXX_INHERIT( ::efl::Part)
   , EO_CXX_INHERIT( ::efl ::canvas::Group)
   , EO_CXX_INHERIT( ::efl ::canvas::Object)
   , EO_CXX_INHERIT( ::efl ::canvas ::group::Clipped)
   , EO_CXX_INHERIT( ::efl ::gfx::Map)
   , EO_CXX_INHERIT( ::efl ::gfx::Stack)
   , EO_CXX_INHERIT( ::efl ::gfx ::size::Hint)
   , EO_CXX_INHERIT( ::efl ::input::Interface)
   , EO_CXX_INHERIT( ::elm::Layout)
   , EO_CXX_INHERIT( ::elm::Widget)
   , EO_CXX_INHERIT( ::elm ::interface::Atspi_Accessible)
   , EO_CXX_INHERIT( ::elm ::interface::Atspi_Component)
   , EO_CXX_INHERIT( ::eo::Base)
   , EO_CXX_INHERIT( ::eo::Interface)
{
   explicit Multibuttonentry( ::Eo* eo)
      : ::efl::eo::concrete(eo) {}
   explicit Multibuttonentry(std::nullptr_t)
      : ::efl::eo::concrete(nullptr) {}
   Multibuttonentry(Multibuttonentry const& other) = default;
   Multibuttonentry(Multibuttonentry&& other) = default;
   Multibuttonentry& operator=(Multibuttonentry const& other) = default;
   Multibuttonentry& operator=(Multibuttonentry&& other) = default;
   Multibuttonentry()
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class());
   }
   Multibuttonentry( ::efl::eo::concrete parent)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, parent, _eo_class());
   }
   template <typename F> Multibuttonentry(F f, typename ::std::enable_if< ::efl::eolian::is_callable<F>::value>::type* = 0)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class(), f);
   }
   bool editable_get() const;
   void editable_set( ::efl::eolian::in_traits<bool>::type editable) const;
   bool expanded_get() const;
   void expanded_set( ::efl::eolian::in_traits<bool>::type expanded) const;
   void format_function_set( ::efl::eolian::in_traits<Elm_Multibuttonentry_Format_Cb>::type format_function,  ::efl::eolian::in_traits<void const*>::type data) const;
     ::efl::eina::range_list< ::elm::widget::Item> items_get() const;
    ::elm::widget::Item first_item_get() const;
    ::elm::widget::Item last_item_get() const;
    ::efl::canvas::Object entry_get() const;
    ::elm::widget::Item selected_item_get() const;
    ::elm::widget::Item item_prepend( ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void*>::type data) const;
   void clear() const;
   void item_filter_remove( ::efl::eolian::in_traits<Elm_Multibuttonentry_Item_Filter_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const;
    ::elm::widget::Item item_insert_before( ::efl::eolian::in_traits< ::elm::widget::Item>::type before,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void*>::type data) const;
    ::elm::widget::Item item_append( ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void*>::type data) const;
   void item_filter_prepend( ::efl::eolian::in_traits<Elm_Multibuttonentry_Item_Filter_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const;
   void item_filter_append( ::efl::eolian::in_traits<Elm_Multibuttonentry_Item_Filter_Cb>::type func,  ::efl::eolian::in_traits<void*>::type data) const;
    ::elm::widget::Item item_insert_after( ::efl::eolian::in_traits< ::elm::widget::Item>::type after,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void*>::type data) const;
   static Eo_Class const* _eo_class()
   {
      return ELM_MULTIBUTTONENTRY_CLASS;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   static struct item_selected_event
   {
      static Eo_Event_Description const* description()
      { return ELM_MULTIBUTTONENTRY_EVENT_ITEM_SELECTED; }
      typedef void parameter_type;
   } const item_selected_event;
   static struct item_added_event
   {
      static Eo_Event_Description const* description()
      { return ELM_MULTIBUTTONENTRY_EVENT_ITEM_ADDED; }
      typedef void parameter_type;
   } const item_added_event;
   static struct item_deleted_event
   {
      static Eo_Event_Description const* description()
      { return ELM_MULTIBUTTONENTRY_EVENT_ITEM_DELETED; }
      typedef void parameter_type;
   } const item_deleted_event;
   static struct item_clicked_event
   {
      static Eo_Event_Description const* description()
      { return ELM_MULTIBUTTONENTRY_EVENT_ITEM_CLICKED; }
      typedef void parameter_type;
   } const item_clicked_event;
   static struct item_longpressed_event
   {
      static Eo_Event_Description const* description()
      { return ELM_MULTIBUTTONENTRY_EVENT_ITEM_LONGPRESSED; }
      typedef void parameter_type;
   } const item_longpressed_event;
   static struct expanded_event
   {
      static Eo_Event_Description const* description()
      { return ELM_MULTIBUTTONENTRY_EVENT_EXPANDED; }
      typedef void parameter_type;
   } const expanded_event;
   static struct contracted_event
   {
      static Eo_Event_Description const* description()
      { return ELM_MULTIBUTTONENTRY_EVENT_CONTRACTED; }
      typedef void parameter_type;
   } const contracted_event;
   static struct expand_state_changed_event
   {
      static Eo_Event_Description const* description()
      { return ELM_MULTIBUTTONENTRY_EVENT_EXPAND_STATE_CHANGED; }
      typedef void parameter_type;
   } const expand_state_changed_event;
   static struct changed_event
   {
      static Eo_Event_Description const* description()
      { return ELM_MULTIBUTTONENTRY_EVENT_CHANGED; }
      typedef void parameter_type;
   } const changed_event;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Multibuttonentry,  ::edje::Object,  ::efl::Animator,  ::efl::Container,  ::efl::File,  ::efl::Gfx,  ::efl::Part,  ::efl::canvas::Group,  ::efl::canvas::Object,  ::efl::canvas::group::Clipped,  ::efl::gfx::Map,  ::efl::gfx::Stack,  ::efl::gfx::size::Hint,  ::efl::input::Interface,  ::elm::Layout,  ::elm::Widget,  ::elm::interface::Atspi_Accessible,  ::elm::interface::Atspi_Component,  ::eo::Base,  ::eo::Interface> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Multibuttonentry const ,  ::edje::Object const ,  ::efl::Animator const ,  ::efl::Container const ,  ::efl::File const ,  ::efl::Gfx const ,  ::efl::Part const ,  ::efl::canvas::Group const ,  ::efl::canvas::Object const ,  ::efl::canvas::group::Clipped const ,  ::efl::gfx::Map const ,  ::efl::gfx::Stack const ,  ::efl::gfx::size::Hint const ,  ::efl::input::Interface const ,  ::elm::Layout const ,  ::elm::Widget const ,  ::elm::interface::Atspi_Accessible const ,  ::elm::interface::Atspi_Component const ,  ::eo::Base const ,  ::eo::Interface const > operator&() const { return {this}; }
   /// @endcond
};
static_assert(sizeof(Multibuttonentry) == sizeof(Eo*), "");
static_assert(std::is_standard_layout<Multibuttonentry>::value, "");
} 
#include "elm_multibuttonentry.eo.impl.hh"
#endif
