namespace elm { 
inline bool Toolbar::homogeneous_get() const
{
   Eina_Bool __return_value =  ::elm_obj_toolbar_homogeneous_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Toolbar::homogeneous_set( ::efl::eolian::in_traits<bool>::type homogeneous) const
{
    ::elm_obj_toolbar_homogeneous_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(homogeneous));
}
inline double Toolbar::align_get() const
{
   double __return_value =  ::elm_obj_toolbar_align_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<double>(__return_value);
}
inline void Toolbar::align_set( ::efl::eolian::in_traits<double>::type align) const
{
    ::elm_obj_toolbar_align_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(align));
}
inline Elm_Object_Select_Mode Toolbar::select_mode_get() const
{
   Elm_Object_Select_Mode __return_value =  ::elm_obj_toolbar_select_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<Elm_Object_Select_Mode>(__return_value);
}
inline void Toolbar::select_mode_set( ::efl::eolian::in_traits<Elm_Object_Select_Mode>::type mode) const
{
    ::elm_obj_toolbar_select_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Object_Select_Mode,  ::efl::eolian::in_traits<Elm_Object_Select_Mode>::type>(mode));
}
inline int Toolbar::icon_size_get() const
{
   int __return_value =  ::elm_obj_toolbar_icon_size_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<int>(__return_value);
}
inline void Toolbar::icon_size_set( ::efl::eolian::in_traits<int>::type icon_size) const
{
    ::elm_obj_toolbar_icon_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(icon_size));
}
inline Elm_Toolbar_Shrink_Mode Toolbar::shrink_mode_get() const
{
   Elm_Toolbar_Shrink_Mode __return_value =  ::elm_obj_toolbar_shrink_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<Elm_Toolbar_Shrink_Mode>(__return_value);
}
inline void Toolbar::shrink_mode_set( ::efl::eolian::in_traits<Elm_Toolbar_Shrink_Mode>::type shrink_mode) const
{
    ::elm_obj_toolbar_shrink_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Toolbar_Shrink_Mode,  ::efl::eolian::in_traits<Elm_Toolbar_Shrink_Mode>::type>(shrink_mode));
}
inline  ::efl::canvas::Object Toolbar::menu_parent_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_toolbar_menu_parent_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::canvas::Object>(__return_value);
}
inline void Toolbar::menu_parent_set( ::efl::eolian::in_traits< ::efl::canvas::Object>::type parent) const
{
    ::elm_obj_toolbar_menu_parent_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(parent));
}
inline int Toolbar::standard_priority_get() const
{
   int __return_value =  ::elm_obj_toolbar_standard_priority_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<int>(__return_value);
}
inline void Toolbar::standard_priority_set( ::efl::eolian::in_traits<int>::type priority) const
{
    ::elm_obj_toolbar_standard_priority_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(priority));
}
inline  ::elm::widget::Item Toolbar::selected_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_selected_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline  ::elm::widget::Item Toolbar::first_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_first_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline  ::elm::widget::Item Toolbar::more_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_more_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline  ::elm::widget::Item Toolbar::last_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_last_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline  ::elm::widget::Item Toolbar::item_insert_before( ::efl::eolian::in_traits< ::elm::widget::Item>::type before,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type icon,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_item_insert_before(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Elm_Widget_Item*,  ::efl::eolian::in_traits< ::elm::widget::Item>::type>(before)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(icon)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(label)
      ,  ::efl::eolian::convert_to_c<Evas_Smart_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type>(func)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline  ::elm::widget::Item Toolbar::item_insert_after( ::efl::eolian::in_traits< ::elm::widget::Item>::type after,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type icon,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_item_insert_after(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Elm_Widget_Item*,  ::efl::eolian::in_traits< ::elm::widget::Item>::type>(after)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(icon)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(label)
      ,  ::efl::eolian::convert_to_c<Evas_Smart_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type>(func)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline  ::elm::widget::Item Toolbar::item_append( ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type icon,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_item_append(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(icon)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(label)
      ,  ::efl::eolian::convert_to_c<Evas_Smart_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type>(func)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline  unsigned int Toolbar::items_count() const
{
   unsigned int __return_value =  ::elm_obj_toolbar_items_count(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< unsigned int>(__return_value);
}
inline  ::elm::widget::Item Toolbar::item_prepend( ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type icon,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_item_prepend(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(icon)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(label)
      ,  ::efl::eolian::convert_to_c<Evas_Smart_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type>(func)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline  ::elm::widget::Item Toolbar::item_find_by_label( ::efl::eolian::in_traits< ::efl::eina::string_view>::type label) const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_item_find_by_label(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(label));
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
} 
namespace eo_cxx {
namespace elm { 
inline bool Toolbar::homogeneous_get() const
{
   Eina_Bool __return_value =  ::elm_obj_toolbar_homogeneous_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Toolbar::homogeneous_set( ::efl::eolian::in_traits<bool>::type homogeneous) const
{
    ::elm_obj_toolbar_homogeneous_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(homogeneous));
}
inline double Toolbar::align_get() const
{
   double __return_value =  ::elm_obj_toolbar_align_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<double>(__return_value);
}
inline void Toolbar::align_set( ::efl::eolian::in_traits<double>::type align) const
{
    ::elm_obj_toolbar_align_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(align));
}
inline Elm_Object_Select_Mode Toolbar::select_mode_get() const
{
   Elm_Object_Select_Mode __return_value =  ::elm_obj_toolbar_select_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<Elm_Object_Select_Mode>(__return_value);
}
inline void Toolbar::select_mode_set( ::efl::eolian::in_traits<Elm_Object_Select_Mode>::type mode) const
{
    ::elm_obj_toolbar_select_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Object_Select_Mode,  ::efl::eolian::in_traits<Elm_Object_Select_Mode>::type>(mode));
}
inline int Toolbar::icon_size_get() const
{
   int __return_value =  ::elm_obj_toolbar_icon_size_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<int>(__return_value);
}
inline void Toolbar::icon_size_set( ::efl::eolian::in_traits<int>::type icon_size) const
{
    ::elm_obj_toolbar_icon_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(icon_size));
}
inline Elm_Toolbar_Shrink_Mode Toolbar::shrink_mode_get() const
{
   Elm_Toolbar_Shrink_Mode __return_value =  ::elm_obj_toolbar_shrink_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<Elm_Toolbar_Shrink_Mode>(__return_value);
}
inline void Toolbar::shrink_mode_set( ::efl::eolian::in_traits<Elm_Toolbar_Shrink_Mode>::type shrink_mode) const
{
    ::elm_obj_toolbar_shrink_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Toolbar_Shrink_Mode,  ::efl::eolian::in_traits<Elm_Toolbar_Shrink_Mode>::type>(shrink_mode));
}
inline  ::efl::canvas::Object Toolbar::menu_parent_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_toolbar_menu_parent_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::canvas::Object>(__return_value);
}
inline void Toolbar::menu_parent_set( ::efl::eolian::in_traits< ::efl::canvas::Object>::type parent) const
{
    ::elm_obj_toolbar_menu_parent_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(parent));
}
inline int Toolbar::standard_priority_get() const
{
   int __return_value =  ::elm_obj_toolbar_standard_priority_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<int>(__return_value);
}
inline void Toolbar::standard_priority_set( ::efl::eolian::in_traits<int>::type priority) const
{
    ::elm_obj_toolbar_standard_priority_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(priority));
}
inline  ::elm::widget::Item Toolbar::selected_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_selected_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline  ::elm::widget::Item Toolbar::first_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_first_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline  ::elm::widget::Item Toolbar::more_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_more_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline  ::elm::widget::Item Toolbar::last_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_last_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline  ::elm::widget::Item Toolbar::item_insert_before( ::efl::eolian::in_traits< ::elm::widget::Item>::type before,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type icon,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_item_insert_before(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Elm_Widget_Item*,  ::efl::eolian::in_traits< ::elm::widget::Item>::type>(before)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(icon)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(label)
      ,  ::efl::eolian::convert_to_c<Evas_Smart_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type>(func)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline  ::elm::widget::Item Toolbar::item_insert_after( ::efl::eolian::in_traits< ::elm::widget::Item>::type after,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type icon,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_item_insert_after(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Elm_Widget_Item*,  ::efl::eolian::in_traits< ::elm::widget::Item>::type>(after)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(icon)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(label)
      ,  ::efl::eolian::convert_to_c<Evas_Smart_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type>(func)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline  ::elm::widget::Item Toolbar::item_append( ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type icon,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_item_append(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(icon)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(label)
      ,  ::efl::eolian::convert_to_c<Evas_Smart_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type>(func)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline  unsigned int Toolbar::items_count() const
{
   unsigned int __return_value =  ::elm_obj_toolbar_items_count(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< unsigned int>(__return_value);
}
inline  ::elm::widget::Item Toolbar::item_prepend( ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type icon,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_item_prepend(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::optional< ::efl::eina::string_view>>::type>(icon)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(label)
      ,  ::efl::eolian::convert_to_c<Evas_Smart_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type>(func)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline  ::elm::widget::Item Toolbar::item_find_by_label( ::efl::eolian::in_traits< ::efl::eina::string_view>::type label) const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_toolbar_item_find_by_label(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(label));
   return ::efl::eolian::convert_to_return< ::elm::widget::Item>(__return_value);
}
inline elm::Toolbar::operator ::elm::Toolbar() const { return *static_cast< ::elm::Toolbar const*>(static_cast<void const*>(this)); }
inline elm::Toolbar::operator ::elm::Toolbar&() { return *static_cast< ::elm::Toolbar*>(static_cast<void*>(this)); }
inline elm::Toolbar::operator ::elm::Toolbar const&() const { return *static_cast< ::elm::Toolbar const*>(static_cast<void const*>(this)); }
} }

