#ifndef ELM_CLOCK_EO_HH
#define ELM_CLOCK_EO_HH
#include <Eo.h>

extern "C" {
#include "edje_object.eo.h"
#include "efl_animator.eo.h"
#include "efl_canvas_group.eo.h"
#include "efl_canvas_group_clipped.eo.h"
#include "efl_canvas_object.eo.h"
#include "efl_container.eo.h"
#include "efl_event_hold.eo.h"
#include "efl_event_key.eo.h"
#include "efl_event_pointer.eo.h"
#include "efl_file.eo.h"
#include "efl_gfx.eo.h"
#include "efl_gfx_map.eo.h"
#include "efl_gfx_size_hint.eo.h"
#include "efl_gfx_stack.eo.h"
#include "efl_input_interface.eo.h"
#include "efl_part.eo.h"
#include "elm_clock.eo.h"
#include "elm_interface_atspi_accessible.eo.h"
#include "elm_interface_atspi_component.eo.h"
#include "elm_layout.eo.h"
#include "elm_widget.eo.h"
#include "elm_widget_item.eo.h"
#include "eo_base.eo.h"
#include "eo_interface.eo.h"
}
#include <Eina.hh>
#include <Eo.hh>
#include "edje_object.eo.hh"
#include "efl_animator.eo.hh"
#include "efl_canvas_group.eo.hh"
#include "efl_canvas_group_clipped.eo.hh"
#include "efl_canvas_object.eo.hh"
#include "efl_container.eo.hh"
#include "efl_event_hold.eo.hh"
#include "efl_event_key.eo.hh"
#include "efl_event_pointer.eo.hh"
#include "efl_file.eo.hh"
#include "efl_gfx.eo.hh"
#include "efl_gfx_map.eo.hh"
#include "efl_gfx_size_hint.eo.hh"
#include "efl_gfx_stack.eo.hh"
#include "efl_input_interface.eo.hh"
#include "efl_part.eo.hh"
#include "elm_interface_atspi_accessible.eo.hh"
#include "elm_interface_atspi_component.eo.hh"
#include "elm_layout.eo.hh"
#include "elm_widget.eo.hh"
#include "elm_widget_item.eo.hh"
#include "eo_base.eo.hh"
#include "eo_interface.eo.hh"
namespace elm { 
struct Clock;
} 
namespace efl { namespace eo { template<> struct is_eolian_object< ::elm::Clock> : ::std::true_type {}; } }

namespace eo_cxx {
namespace elm { 
struct Clock {
   bool show_am_pm_get() const;
   void show_am_pm_set( ::efl::eolian::in_traits<bool>::type am_pm) const;
   double first_interval_get() const;
   void first_interval_set( ::efl::eolian::in_traits<double>::type interval) const;
   bool show_seconds_get() const;
   void show_seconds_set( ::efl::eolian::in_traits<bool>::type seconds) const;
   bool edit_get() const;
   void edit_set( ::efl::eolian::in_traits<bool>::type edit) const;
   bool pause_get() const;
   void pause_set( ::efl::eolian::in_traits<bool>::type paused) const;
   void time_get( ::efl::eolian::out_traits<int>::type hrs,  ::efl::eolian::out_traits<int>::type min,  ::efl::eolian::out_traits<int>::type sec) const;
   void time_set( ::efl::eolian::in_traits<int>::type hrs,  ::efl::eolian::in_traits<int>::type min,  ::efl::eolian::in_traits<int>::type sec) const;
   Elm_Clock_Edit_Mode edit_mode_get() const;
   void edit_mode_set( ::efl::eolian::in_traits<Elm_Clock_Edit_Mode>::type digedit) const;
   static Eo_Class const* _eo_class()
   {
      return ELM_CLOCK_CLASS;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   operator ::elm::Clock() const;
   operator ::elm::Clock&();
   operator ::elm::Clock const&() const;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Clock,  ::edje::Object,  ::efl::Animator,  ::efl::Container,  ::efl::File,  ::efl::Gfx,  ::efl::Part,  ::efl::canvas::Group,  ::efl::canvas::Object,  ::efl::canvas::group::Clipped,  ::efl::gfx::Map,  ::efl::gfx::Stack,  ::efl::gfx::size::Hint,  ::efl::input::Interface,  ::elm::Layout,  ::elm::Widget,  ::elm::interface::Atspi_Accessible,  ::elm::interface::Atspi_Component,  ::eo::Base,  ::eo::Interface> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Clock const ,  ::edje::Object const ,  ::efl::Animator const ,  ::efl::Container const ,  ::efl::File const ,  ::efl::Gfx const ,  ::efl::Part const ,  ::efl::canvas::Group const ,  ::efl::canvas::Object const ,  ::efl::canvas::group::Clipped const ,  ::efl::gfx::Map const ,  ::efl::gfx::Stack const ,  ::efl::gfx::size::Hint const ,  ::efl::input::Interface const ,  ::elm::Layout const ,  ::elm::Widget const ,  ::elm::interface::Atspi_Accessible const ,  ::elm::interface::Atspi_Component const ,  ::eo::Base const ,  ::eo::Interface const > operator&() const { return {this}; }
   /// @endcond
};
} 
}
namespace elm { 
struct Clock : ::efl::eo::concrete
   , EO_CXX_INHERIT( ::edje::Object)
   , EO_CXX_INHERIT( ::efl::Animator)
   , EO_CXX_INHERIT( ::efl::Container)
   , EO_CXX_INHERIT( ::efl::File)
   , EO_CXX_INHERIT( ::efl::Gfx)
   , EO_CXX_INHERIT( ::efl::Part)
   , EO_CXX_INHERIT( ::efl ::canvas::Group)
   , EO_CXX_INHERIT( ::efl ::canvas::Object)
   , EO_CXX_INHERIT( ::efl ::canvas ::group::Clipped)
   , EO_CXX_INHERIT( ::efl ::gfx::Map)
   , EO_CXX_INHERIT( ::efl ::gfx::Stack)
   , EO_CXX_INHERIT( ::efl ::gfx ::size::Hint)
   , EO_CXX_INHERIT( ::efl ::input::Interface)
   , EO_CXX_INHERIT( ::elm::Layout)
   , EO_CXX_INHERIT( ::elm::Widget)
   , EO_CXX_INHERIT( ::elm ::interface::Atspi_Accessible)
   , EO_CXX_INHERIT( ::elm ::interface::Atspi_Component)
   , EO_CXX_INHERIT( ::eo::Base)
   , EO_CXX_INHERIT( ::eo::Interface)
{
   explicit Clock( ::Eo* eo)
      : ::efl::eo::concrete(eo) {}
   explicit Clock(std::nullptr_t)
      : ::efl::eo::concrete(nullptr) {}
   Clock(Clock const& other) = default;
   Clock(Clock&& other) = default;
   Clock& operator=(Clock const& other) = default;
   Clock& operator=(Clock&& other) = default;
   Clock()
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class());
   }
   Clock( ::efl::eo::concrete parent)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, parent, _eo_class());
   }
   template <typename F> Clock(F f, typename ::std::enable_if< ::efl::eolian::is_callable<F>::value>::type* = 0)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class(), f);
   }
   bool show_am_pm_get() const;
   void show_am_pm_set( ::efl::eolian::in_traits<bool>::type am_pm) const;
   double first_interval_get() const;
   void first_interval_set( ::efl::eolian::in_traits<double>::type interval) const;
   bool show_seconds_get() const;
   void show_seconds_set( ::efl::eolian::in_traits<bool>::type seconds) const;
   bool edit_get() const;
   void edit_set( ::efl::eolian::in_traits<bool>::type edit) const;
   bool pause_get() const;
   void pause_set( ::efl::eolian::in_traits<bool>::type paused) const;
   void time_get( ::efl::eolian::out_traits<int>::type hrs,  ::efl::eolian::out_traits<int>::type min,  ::efl::eolian::out_traits<int>::type sec) const;
   void time_set( ::efl::eolian::in_traits<int>::type hrs,  ::efl::eolian::in_traits<int>::type min,  ::efl::eolian::in_traits<int>::type sec) const;
   Elm_Clock_Edit_Mode edit_mode_get() const;
   void edit_mode_set( ::efl::eolian::in_traits<Elm_Clock_Edit_Mode>::type digedit) const;
   static Eo_Class const* _eo_class()
   {
      return ELM_CLOCK_CLASS;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   static struct changed_event
   {
      static Eo_Event_Description const* description()
      { return ELM_CLOCK_EVENT_CHANGED; }
      typedef void parameter_type;
   } const changed_event;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Clock,  ::edje::Object,  ::efl::Animator,  ::efl::Container,  ::efl::File,  ::efl::Gfx,  ::efl::Part,  ::efl::canvas::Group,  ::efl::canvas::Object,  ::efl::canvas::group::Clipped,  ::efl::gfx::Map,  ::efl::gfx::Stack,  ::efl::gfx::size::Hint,  ::efl::input::Interface,  ::elm::Layout,  ::elm::Widget,  ::elm::interface::Atspi_Accessible,  ::elm::interface::Atspi_Component,  ::eo::Base,  ::eo::Interface> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Clock const ,  ::edje::Object const ,  ::efl::Animator const ,  ::efl::Container const ,  ::efl::File const ,  ::efl::Gfx const ,  ::efl::Part const ,  ::efl::canvas::Group const ,  ::efl::canvas::Object const ,  ::efl::canvas::group::Clipped const ,  ::efl::gfx::Map const ,  ::efl::gfx::Stack const ,  ::efl::gfx::size::Hint const ,  ::efl::input::Interface const ,  ::elm::Layout const ,  ::elm::Widget const ,  ::elm::interface::Atspi_Accessible const ,  ::elm::interface::Atspi_Component const ,  ::eo::Base const ,  ::eo::Interface const > operator&() const { return {this}; }
   /// @endcond
};
static_assert(sizeof(Clock) == sizeof(Eo*), "");
static_assert(std::is_standard_layout<Clock>::value, "");
} 
#include "elm_clock.eo.impl.hh"
#endif
