#ifndef ELM_FLIPSELECTOR_EO_HH
#define ELM_FLIPSELECTOR_EO_HH
#include <Eo.h>

extern "C" {
#include "edje_object.eo.h"
#include "efl_animator.eo.h"
#include "efl_canvas_group.eo.h"
#include "efl_canvas_group_clipped.eo.h"
#include "efl_canvas_object.eo.h"
#include "efl_container.eo.h"
#include "efl_event_hold.eo.h"
#include "efl_event_key.eo.h"
#include "efl_event_pointer.eo.h"
#include "efl_file.eo.h"
#include "efl_gfx.eo.h"
#include "efl_gfx_map.eo.h"
#include "efl_gfx_size_hint.eo.h"
#include "efl_gfx_stack.eo.h"
#include "efl_input_interface.eo.h"
#include "efl_part.eo.h"
#include "efl_ui_selectable.eo.h"
#include "efl_ui_spin.eo.h"
#include "elm_flipselector.eo.h"
#include "elm_interface_atspi_accessible.eo.h"
#include "elm_interface_atspi_action.eo.h"
#include "elm_interface_atspi_component.eo.h"
#include "elm_interface_atspi_widget_action.eo.h"
#include "elm_layout.eo.h"
#include "elm_widget.eo.h"
#include "elm_widget_item.eo.h"
#include "eo_base.eo.h"
#include "eo_interface.eo.h"
}
#include <Eina.hh>
#include <Eo.hh>
#include "edje_object.eo.hh"
#include "efl_animator.eo.hh"
#include "efl_canvas_group.eo.hh"
#include "efl_canvas_group_clipped.eo.hh"
#include "efl_canvas_object.eo.hh"
#include "efl_container.eo.hh"
#include "efl_event_hold.eo.hh"
#include "efl_event_key.eo.hh"
#include "efl_event_pointer.eo.hh"
#include "efl_file.eo.hh"
#include "efl_gfx.eo.hh"
#include "efl_gfx_map.eo.hh"
#include "efl_gfx_size_hint.eo.hh"
#include "efl_gfx_stack.eo.hh"
#include "efl_input_interface.eo.hh"
#include "efl_part.eo.hh"
#include "efl_ui_selectable.eo.hh"
#include "efl_ui_spin.eo.hh"
#include "elm_interface_atspi_accessible.eo.hh"
#include "elm_interface_atspi_action.eo.hh"
#include "elm_interface_atspi_component.eo.hh"
#include "elm_interface_atspi_widget_action.eo.hh"
#include "elm_layout.eo.hh"
#include "elm_widget.eo.hh"
#include "elm_widget_item.eo.hh"
#include "eo_base.eo.hh"
#include "eo_interface.eo.hh"
namespace elm { 
struct Flipselector;
} 
namespace efl { namespace eo { template<> struct is_eolian_object< ::elm::Flipselector> : ::std::true_type {}; } }

namespace eo_cxx {
namespace elm { 
struct Flipselector {
     ::efl::eina::range_list< ::elm::widget::Item> items_get() const;
    ::elm::widget::Item first_item_get() const;
    ::elm::widget::Item last_item_get() const;
    ::elm::widget::Item selected_item_get() const;
    ::elm::widget::Item item_prepend( ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void*>::type data) const;
   void flip_next() const;
    ::elm::widget::Item item_append( ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void const*>::type data) const;
   void flip_prev() const;
   static Eo_Class const* _eo_class()
   {
      return ELM_FLIPSELECTOR_CLASS;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   operator ::elm::Flipselector() const;
   operator ::elm::Flipselector&();
   operator ::elm::Flipselector const&() const;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Flipselector,  ::edje::Object,  ::efl::Animator,  ::efl::Container,  ::efl::File,  ::efl::Gfx,  ::efl::Part,  ::efl::canvas::Group,  ::efl::canvas::Object,  ::efl::canvas::group::Clipped,  ::efl::gfx::Map,  ::efl::gfx::Stack,  ::efl::gfx::size::Hint,  ::efl::input::Interface,  ::efl::ui::Selectable,  ::efl::ui::Spin,  ::elm::Layout,  ::elm::Widget,  ::elm::interface::Atspi_Accessible,  ::elm::interface::Atspi_Action,  ::elm::interface::Atspi_Component,  ::elm::interface::Atspi_Widget_Action,  ::eo::Base,  ::eo::Interface> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Flipselector const ,  ::edje::Object const ,  ::efl::Animator const ,  ::efl::Container const ,  ::efl::File const ,  ::efl::Gfx const ,  ::efl::Part const ,  ::efl::canvas::Group const ,  ::efl::canvas::Object const ,  ::efl::canvas::group::Clipped const ,  ::efl::gfx::Map const ,  ::efl::gfx::Stack const ,  ::efl::gfx::size::Hint const ,  ::efl::input::Interface const ,  ::efl::ui::Selectable const ,  ::efl::ui::Spin const ,  ::elm::Layout const ,  ::elm::Widget const ,  ::elm::interface::Atspi_Accessible const ,  ::elm::interface::Atspi_Action const ,  ::elm::interface::Atspi_Component const ,  ::elm::interface::Atspi_Widget_Action const ,  ::eo::Base const ,  ::eo::Interface const > operator&() const { return {this}; }
   /// @endcond
};
} 
}
namespace elm { 
struct Flipselector : ::efl::eo::concrete
   , EO_CXX_INHERIT( ::edje::Object)
   , EO_CXX_INHERIT( ::efl::Animator)
   , EO_CXX_INHERIT( ::efl::Container)
   , EO_CXX_INHERIT( ::efl::File)
   , EO_CXX_INHERIT( ::efl::Gfx)
   , EO_CXX_INHERIT( ::efl::Part)
   , EO_CXX_INHERIT( ::efl ::canvas::Group)
   , EO_CXX_INHERIT( ::efl ::canvas::Object)
   , EO_CXX_INHERIT( ::efl ::canvas ::group::Clipped)
   , EO_CXX_INHERIT( ::efl ::gfx::Map)
   , EO_CXX_INHERIT( ::efl ::gfx::Stack)
   , EO_CXX_INHERIT( ::efl ::gfx ::size::Hint)
   , EO_CXX_INHERIT( ::efl ::input::Interface)
   , EO_CXX_INHERIT( ::efl ::ui::Selectable)
   , EO_CXX_INHERIT( ::efl ::ui::Spin)
   , EO_CXX_INHERIT( ::elm::Layout)
   , EO_CXX_INHERIT( ::elm::Widget)
   , EO_CXX_INHERIT( ::elm ::interface::Atspi_Accessible)
   , EO_CXX_INHERIT( ::elm ::interface::Atspi_Action)
   , EO_CXX_INHERIT( ::elm ::interface::Atspi_Component)
   , EO_CXX_INHERIT( ::elm ::interface::Atspi_Widget_Action)
   , EO_CXX_INHERIT( ::eo::Base)
   , EO_CXX_INHERIT( ::eo::Interface)
{
   explicit Flipselector( ::Eo* eo)
      : ::efl::eo::concrete(eo) {}
   explicit Flipselector(std::nullptr_t)
      : ::efl::eo::concrete(nullptr) {}
   Flipselector(Flipselector const& other) = default;
   Flipselector(Flipselector&& other) = default;
   Flipselector& operator=(Flipselector const& other) = default;
   Flipselector& operator=(Flipselector&& other) = default;
   Flipselector()
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class());
   }
   Flipselector( ::efl::eo::concrete parent)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, parent, _eo_class());
   }
   template <typename F> Flipselector(F f, typename ::std::enable_if< ::efl::eolian::is_callable<F>::value>::type* = 0)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class(), f);
   }
     ::efl::eina::range_list< ::elm::widget::Item> items_get() const;
    ::elm::widget::Item first_item_get() const;
    ::elm::widget::Item last_item_get() const;
    ::elm::widget::Item selected_item_get() const;
    ::elm::widget::Item item_prepend( ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void*>::type data) const;
   void flip_next() const;
    ::elm::widget::Item item_append( ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void const*>::type data) const;
   void flip_prev() const;
   static Eo_Class const* _eo_class()
   {
      return ELM_FLIPSELECTOR_CLASS;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   static struct underflowed_event
   {
      static Eo_Event_Description const* description()
      { return ELM_FLIPSELECTOR_EVENT_UNDERFLOWED; }
      typedef void parameter_type;
   } const underflowed_event;
   static struct overflowed_event
   {
      static Eo_Event_Description const* description()
      { return ELM_FLIPSELECTOR_EVENT_OVERFLOWED; }
      typedef void parameter_type;
   } const overflowed_event;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Flipselector,  ::edje::Object,  ::efl::Animator,  ::efl::Container,  ::efl::File,  ::efl::Gfx,  ::efl::Part,  ::efl::canvas::Group,  ::efl::canvas::Object,  ::efl::canvas::group::Clipped,  ::efl::gfx::Map,  ::efl::gfx::Stack,  ::efl::gfx::size::Hint,  ::efl::input::Interface,  ::efl::ui::Selectable,  ::efl::ui::Spin,  ::elm::Layout,  ::elm::Widget,  ::elm::interface::Atspi_Accessible,  ::elm::interface::Atspi_Action,  ::elm::interface::Atspi_Component,  ::elm::interface::Atspi_Widget_Action,  ::eo::Base,  ::eo::Interface> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Flipselector const ,  ::edje::Object const ,  ::efl::Animator const ,  ::efl::Container const ,  ::efl::File const ,  ::efl::Gfx const ,  ::efl::Part const ,  ::efl::canvas::Group const ,  ::efl::canvas::Object const ,  ::efl::canvas::group::Clipped const ,  ::efl::gfx::Map const ,  ::efl::gfx::Stack const ,  ::efl::gfx::size::Hint const ,  ::efl::input::Interface const ,  ::efl::ui::Selectable const ,  ::efl::ui::Spin const ,  ::elm::Layout const ,  ::elm::Widget const ,  ::elm::interface::Atspi_Accessible const ,  ::elm::interface::Atspi_Action const ,  ::elm::interface::Atspi_Component const ,  ::elm::interface::Atspi_Widget_Action const ,  ::eo::Base const ,  ::eo::Interface const > operator&() const { return {this}; }
   /// @endcond
};
static_assert(sizeof(Flipselector) == sizeof(Eo*), "");
static_assert(std::is_standard_layout<Flipselector>::value, "");
} 
#include "elm_flipselector.eo.impl.hh"
#endif
