#ifndef ELM_GENGRID_EO_HH
#define ELM_GENGRID_EO_HH
#include <Eo.h>

extern "C" {
#include "edje_object.eo.h"
#include "efl_animator.eo.h"
#include "efl_canvas_group.eo.h"
#include "efl_canvas_group_clipped.eo.h"
#include "efl_canvas_object.eo.h"
#include "efl_container.eo.h"
#include "efl_event_hold.eo.h"
#include "efl_event_key.eo.h"
#include "efl_event_pointer.eo.h"
#include "efl_file.eo.h"
#include "efl_gfx.eo.h"
#include "efl_gfx_map.eo.h"
#include "efl_gfx_size_hint.eo.h"
#include "efl_gfx_stack.eo.h"
#include "efl_input_interface.eo.h"
#include "efl_part.eo.h"
#include "efl_ui_clickable.eo.h"
#include "efl_ui_scrollable.eo.h"
#include "elm_gengrid.eo.h"
#include "elm_interface_atspi_accessible.eo.h"
#include "elm_interface_atspi_action.eo.h"
#include "elm_interface_atspi_component.eo.h"
#include "elm_interface_atspi_selection.eo.h"
#include "elm_interface_atspi_widget_action.eo.h"
#include "elm_interface_scrollable.eo.h"
#include "elm_layout.eo.h"
#include "elm_widget.eo.h"
#include "elm_widget_item.eo.h"
#include "eo_base.eo.h"
#include "eo_interface.eo.h"
}
#include <Eina.hh>
#include <Eo.hh>
#include "edje_object.eo.hh"
#include "efl_animator.eo.hh"
#include "efl_canvas_group.eo.hh"
#include "efl_canvas_group_clipped.eo.hh"
#include "efl_canvas_object.eo.hh"
#include "efl_container.eo.hh"
#include "efl_event_hold.eo.hh"
#include "efl_event_key.eo.hh"
#include "efl_event_pointer.eo.hh"
#include "efl_file.eo.hh"
#include "efl_gfx.eo.hh"
#include "efl_gfx_map.eo.hh"
#include "efl_gfx_size_hint.eo.hh"
#include "efl_gfx_stack.eo.hh"
#include "efl_input_interface.eo.hh"
#include "efl_part.eo.hh"
#include "efl_ui_clickable.eo.hh"
#include "efl_ui_scrollable.eo.hh"
#include "elm_interface_atspi_accessible.eo.hh"
#include "elm_interface_atspi_action.eo.hh"
#include "elm_interface_atspi_component.eo.hh"
#include "elm_interface_atspi_selection.eo.hh"
#include "elm_interface_atspi_widget_action.eo.hh"
#include "elm_interface_scrollable.eo.hh"
#include "elm_layout.eo.hh"
#include "elm_widget.eo.hh"
#include "elm_widget_item.eo.hh"
#include "eo_base.eo.hh"
#include "eo_interface.eo.hh"
namespace elm { 
struct Gengrid;
} 
namespace efl { namespace eo { template<> struct is_eolian_object< ::elm::Gengrid> : ::std::true_type {}; } }

namespace eo_cxx {
namespace elm { 
struct Gengrid {
   void align_get( ::efl::eolian::out_traits<double>::type align_x,  ::efl::eolian::out_traits<double>::type align_y) const;
   void align_set( ::efl::eolian::in_traits<double>::type align_x,  ::efl::eolian::in_traits<double>::type align_y) const;
   bool filled_get() const;
   void filled_set( ::efl::eolian::in_traits<bool>::type fill) const;
   void page_relative_get( ::efl::eolian::out_traits<double>::type h_pagerel,  ::efl::eolian::out_traits<double>::type v_pagerel) const;
   void page_relative_set( ::efl::eolian::in_traits<double>::type h_pagerel,  ::efl::eolian::in_traits<double>::type v_pagerel) const;
   bool multi_select_get() const;
   void multi_select_set( ::efl::eolian::in_traits<bool>::type multi) const;
   void group_item_size_get( ::efl::eolian::out_traits<Evas_Coord>::type w,  ::efl::eolian::out_traits<Evas_Coord>::type h) const;
   void group_item_size_set( ::efl::eolian::in_traits<Evas_Coord>::type w,  ::efl::eolian::in_traits<Evas_Coord>::type h) const;
   Elm_Object_Select_Mode select_mode_get() const;
   void select_mode_set( ::efl::eolian::in_traits<Elm_Object_Select_Mode>::type mode) const;
   bool reorder_mode_get() const;
   void reorder_mode_set( ::efl::eolian::in_traits<bool>::type reorder_mode) const;
   bool highlight_mode_get() const;
   void highlight_mode_set( ::efl::eolian::in_traits<bool>::type highlight) const;
   void reorder_type_set( ::efl::eolian::in_traits<Elm_Gengrid_Reorder_Type>::type type) const;
   void item_size_get( ::efl::eolian::out_traits<Evas_Coord>::type w,  ::efl::eolian::out_traits<Evas_Coord>::type h) const;
   void item_size_set( ::efl::eolian::in_traits<Evas_Coord>::type w,  ::efl::eolian::in_traits<Evas_Coord>::type h) const;
   Elm_Object_Multi_Select_Mode multi_select_mode_get() const;
   void multi_select_mode_set( ::efl::eolian::in_traits<Elm_Object_Multi_Select_Mode>::type mode) const;
   bool horizontal_get() const;
   void horizontal_set( ::efl::eolian::in_traits<bool>::type horizontal) const;
   void page_size_set( ::efl::eolian::in_traits<Evas_Coord>::type h_pagesize,  ::efl::eolian::in_traits<Evas_Coord>::type v_pagesize) const;
    ::elm::widget::Item selected_item_get() const;
    ::elm::widget::Item first_item_get() const;
     ::efl::eina::range_list< ::elm::widget::Item> selected_items_get() const;
    ::elm::widget::Item last_item_get() const;
   bool wheel_disabled_get() const;
   void wheel_disabled_set( ::efl::eolian::in_traits<bool>::type disabled) const;
   void realized_items_update() const;
    unsigned int items_count() const;
    ::elm::widget::Item at_xy_item_get( ::efl::eolian::in_traits<Evas_Coord>::type x,  ::efl::eolian::in_traits<Evas_Coord>::type y,  ::efl::eolian::out_traits<int>::type xposret,  ::efl::eolian::out_traits<int>::type yposret) const;
   void clear() const;
    ::elm::widget::Item search_by_text_item_get( ::efl::eolian::in_traits< ::elm::widget::Item>::type item_to_search_from,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type part_name,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type pattern,  ::efl::eolian::in_traits<Elm_Glob_Match_Flags>::type flags) const;
   void reorder_mode_start( ::efl::eolian::in_traits<Ecore_Pos_Map>::type tween_mode) const;
   void reorder_mode_stop() const;
   static Eo_Class const* _eo_class()
   {
      return ELM_GENGRID_CLASS;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   operator ::elm::Gengrid() const;
   operator ::elm::Gengrid&();
   operator ::elm::Gengrid const&() const;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Gengrid,  ::edje::Object,  ::efl::Animator,  ::efl::Container,  ::efl::File,  ::efl::Gfx,  ::efl::Part,  ::efl::canvas::Group,  ::efl::canvas::Object,  ::efl::canvas::group::Clipped,  ::efl::gfx::Map,  ::efl::gfx::Stack,  ::efl::gfx::size::Hint,  ::efl::input::Interface,  ::efl::ui::Clickable,  ::efl::ui::Scrollable,  ::elm::Interface_Scrollable,  ::elm::Layout,  ::elm::Widget,  ::elm::interface::Atspi_Accessible,  ::elm::interface::Atspi_Action,  ::elm::interface::Atspi_Component,  ::elm::interface::Atspi_Widget_Action,  ::elm::interface::atspi::Selection,  ::eo::Base,  ::eo::Interface> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Gengrid const ,  ::edje::Object const ,  ::efl::Animator const ,  ::efl::Container const ,  ::efl::File const ,  ::efl::Gfx const ,  ::efl::Part const ,  ::efl::canvas::Group const ,  ::efl::canvas::Object const ,  ::efl::canvas::group::Clipped const ,  ::efl::gfx::Map const ,  ::efl::gfx::Stack const ,  ::efl::gfx::size::Hint const ,  ::efl::input::Interface const ,  ::efl::ui::Clickable const ,  ::efl::ui::Scrollable const ,  ::elm::Interface_Scrollable const ,  ::elm::Layout const ,  ::elm::Widget const ,  ::elm::interface::Atspi_Accessible const ,  ::elm::interface::Atspi_Action const ,  ::elm::interface::Atspi_Component const ,  ::elm::interface::Atspi_Widget_Action const ,  ::elm::interface::atspi::Selection const ,  ::eo::Base const ,  ::eo::Interface const > operator&() const { return {this}; }
   /// @endcond
};
} 
}
namespace elm { 
struct Gengrid : ::efl::eo::concrete
   , EO_CXX_INHERIT( ::edje::Object)
   , EO_CXX_INHERIT( ::efl::Animator)
   , EO_CXX_INHERIT( ::efl::Container)
   , EO_CXX_INHERIT( ::efl::File)
   , EO_CXX_INHERIT( ::efl::Gfx)
   , EO_CXX_INHERIT( ::efl::Part)
   , EO_CXX_INHERIT( ::efl ::canvas::Group)
   , EO_CXX_INHERIT( ::efl ::canvas::Object)
   , EO_CXX_INHERIT( ::efl ::canvas ::group::Clipped)
   , EO_CXX_INHERIT( ::efl ::gfx::Map)
   , EO_CXX_INHERIT( ::efl ::gfx::Stack)
   , EO_CXX_INHERIT( ::efl ::gfx ::size::Hint)
   , EO_CXX_INHERIT( ::efl ::input::Interface)
   , EO_CXX_INHERIT( ::efl ::ui::Clickable)
   , EO_CXX_INHERIT( ::efl ::ui::Scrollable)
   , EO_CXX_INHERIT( ::elm::Interface_Scrollable)
   , EO_CXX_INHERIT( ::elm::Layout)
   , EO_CXX_INHERIT( ::elm::Widget)
   , EO_CXX_INHERIT( ::elm ::interface::Atspi_Accessible)
   , EO_CXX_INHERIT( ::elm ::interface::Atspi_Action)
   , EO_CXX_INHERIT( ::elm ::interface::Atspi_Component)
   , EO_CXX_INHERIT( ::elm ::interface::Atspi_Widget_Action)
   , EO_CXX_INHERIT( ::elm ::interface ::atspi::Selection)
   , EO_CXX_INHERIT( ::eo::Base)
   , EO_CXX_INHERIT( ::eo::Interface)
{
   explicit Gengrid( ::Eo* eo)
      : ::efl::eo::concrete(eo) {}
   explicit Gengrid(std::nullptr_t)
      : ::efl::eo::concrete(nullptr) {}
   Gengrid(Gengrid const& other) = default;
   Gengrid(Gengrid&& other) = default;
   Gengrid& operator=(Gengrid const& other) = default;
   Gengrid& operator=(Gengrid&& other) = default;
   Gengrid()
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class());
   }
   Gengrid( ::efl::eo::concrete parent)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, parent, _eo_class());
   }
   template <typename F> Gengrid(F f, typename ::std::enable_if< ::efl::eolian::is_callable<F>::value>::type* = 0)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class(), f);
   }
   void align_get( ::efl::eolian::out_traits<double>::type align_x,  ::efl::eolian::out_traits<double>::type align_y) const;
   void align_set( ::efl::eolian::in_traits<double>::type align_x,  ::efl::eolian::in_traits<double>::type align_y) const;
   bool filled_get() const;
   void filled_set( ::efl::eolian::in_traits<bool>::type fill) const;
   void page_relative_get( ::efl::eolian::out_traits<double>::type h_pagerel,  ::efl::eolian::out_traits<double>::type v_pagerel) const;
   void page_relative_set( ::efl::eolian::in_traits<double>::type h_pagerel,  ::efl::eolian::in_traits<double>::type v_pagerel) const;
   bool multi_select_get() const;
   void multi_select_set( ::efl::eolian::in_traits<bool>::type multi) const;
   void group_item_size_get( ::efl::eolian::out_traits<Evas_Coord>::type w,  ::efl::eolian::out_traits<Evas_Coord>::type h) const;
   void group_item_size_set( ::efl::eolian::in_traits<Evas_Coord>::type w,  ::efl::eolian::in_traits<Evas_Coord>::type h) const;
   Elm_Object_Select_Mode select_mode_get() const;
   void select_mode_set( ::efl::eolian::in_traits<Elm_Object_Select_Mode>::type mode) const;
   bool reorder_mode_get() const;
   void reorder_mode_set( ::efl::eolian::in_traits<bool>::type reorder_mode) const;
   bool highlight_mode_get() const;
   void highlight_mode_set( ::efl::eolian::in_traits<bool>::type highlight) const;
   void reorder_type_set( ::efl::eolian::in_traits<Elm_Gengrid_Reorder_Type>::type type) const;
   void item_size_get( ::efl::eolian::out_traits<Evas_Coord>::type w,  ::efl::eolian::out_traits<Evas_Coord>::type h) const;
   void item_size_set( ::efl::eolian::in_traits<Evas_Coord>::type w,  ::efl::eolian::in_traits<Evas_Coord>::type h) const;
   Elm_Object_Multi_Select_Mode multi_select_mode_get() const;
   void multi_select_mode_set( ::efl::eolian::in_traits<Elm_Object_Multi_Select_Mode>::type mode) const;
   bool horizontal_get() const;
   void horizontal_set( ::efl::eolian::in_traits<bool>::type horizontal) const;
   void page_size_set( ::efl::eolian::in_traits<Evas_Coord>::type h_pagesize,  ::efl::eolian::in_traits<Evas_Coord>::type v_pagesize) const;
    ::elm::widget::Item selected_item_get() const;
    ::elm::widget::Item first_item_get() const;
     ::efl::eina::range_list< ::elm::widget::Item> selected_items_get() const;
    ::elm::widget::Item last_item_get() const;
   bool wheel_disabled_get() const;
   void wheel_disabled_set( ::efl::eolian::in_traits<bool>::type disabled) const;
   void realized_items_update() const;
    unsigned int items_count() const;
    ::elm::widget::Item at_xy_item_get( ::efl::eolian::in_traits<Evas_Coord>::type x,  ::efl::eolian::in_traits<Evas_Coord>::type y,  ::efl::eolian::out_traits<int>::type xposret,  ::efl::eolian::out_traits<int>::type yposret) const;
   void clear() const;
    ::elm::widget::Item search_by_text_item_get( ::efl::eolian::in_traits< ::elm::widget::Item>::type item_to_search_from,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type part_name,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type pattern,  ::efl::eolian::in_traits<Elm_Glob_Match_Flags>::type flags) const;
   void reorder_mode_start( ::efl::eolian::in_traits<Ecore_Pos_Map>::type tween_mode) const;
   void reorder_mode_stop() const;
   static Eo_Class const* _eo_class()
   {
      return ELM_GENGRID_CLASS;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   static struct realized_event
   {
      static Eo_Event_Description const* description()
      { return ELM_GENGRID_EVENT_REALIZED; }
      typedef void parameter_type;
   } const realized_event;
   static struct unrealized_event
   {
      static Eo_Event_Description const* description()
      { return ELM_GENGRID_EVENT_UNREALIZED; }
      typedef void parameter_type;
   } const unrealized_event;
   static struct index_update_event
   {
      static Eo_Event_Description const* description()
      { return ELM_GENGRID_EVENT_INDEX_UPDATE; }
      typedef void parameter_type;
   } const index_update_event;
   static struct scroll_page_changed_event
   {
      static Eo_Event_Description const* description()
      { return ELM_GENGRID_EVENT_SCROLL_PAGE_CHANGED; }
      typedef void parameter_type;
   } const scroll_page_changed_event;
   static struct edge_bottom_event
   {
      static Eo_Event_Description const* description()
      { return ELM_GENGRID_EVENT_EDGE_BOTTOM; }
      typedef void parameter_type;
   } const edge_bottom_event;
   static struct edge_top_event
   {
      static Eo_Event_Description const* description()
      { return ELM_GENGRID_EVENT_EDGE_TOP; }
      typedef void parameter_type;
   } const edge_top_event;
   static struct edge_right_event
   {
      static Eo_Event_Description const* description()
      { return ELM_GENGRID_EVENT_EDGE_RIGHT; }
      typedef void parameter_type;
   } const edge_right_event;
   static struct edge_left_event
   {
      static Eo_Event_Description const* description()
      { return ELM_GENGRID_EVENT_EDGE_LEFT; }
      typedef void parameter_type;
   } const edge_left_event;
   static struct item_focused_event
   {
      static Eo_Event_Description const* description()
      { return ELM_GENGRID_EVENT_ITEM_FOCUSED; }
      typedef void parameter_type;
   } const item_focused_event;
   static struct item_unfocused_event
   {
      static Eo_Event_Description const* description()
      { return ELM_GENGRID_EVENT_ITEM_UNFOCUSED; }
      typedef void parameter_type;
   } const item_unfocused_event;
   static struct item_reorder_anim_start_event
   {
      static Eo_Event_Description const* description()
      { return ELM_GENGRID_EVENT_ITEM_REORDER_ANIM_START; }
      typedef void parameter_type;
   } const item_reorder_anim_start_event;
   static struct item_reorder_anim_stop_event
   {
      static Eo_Event_Description const* description()
      { return ELM_GENGRID_EVENT_ITEM_REORDER_ANIM_STOP; }
      typedef void parameter_type;
   } const item_reorder_anim_stop_event;
   static struct activated_event
   {
      static Eo_Event_Description const* description()
      { return ELM_GENGRID_EVENT_ACTIVATED; }
      typedef void parameter_type;
   } const activated_event;
   static struct highlighted_event
   {
      static Eo_Event_Description const* description()
      { return ELM_GENGRID_EVENT_HIGHLIGHTED; }
      typedef void parameter_type;
   } const highlighted_event;
   static struct unhighlighted_event
   {
      static Eo_Event_Description const* description()
      { return ELM_GENGRID_EVENT_UNHIGHLIGHTED; }
      typedef void parameter_type;
   } const unhighlighted_event;
   static struct released_event
   {
      static Eo_Event_Description const* description()
      { return ELM_GENGRID_EVENT_RELEASED; }
      typedef void parameter_type;
   } const released_event;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Gengrid,  ::edje::Object,  ::efl::Animator,  ::efl::Container,  ::efl::File,  ::efl::Gfx,  ::efl::Part,  ::efl::canvas::Group,  ::efl::canvas::Object,  ::efl::canvas::group::Clipped,  ::efl::gfx::Map,  ::efl::gfx::Stack,  ::efl::gfx::size::Hint,  ::efl::input::Interface,  ::efl::ui::Clickable,  ::efl::ui::Scrollable,  ::elm::Interface_Scrollable,  ::elm::Layout,  ::elm::Widget,  ::elm::interface::Atspi_Accessible,  ::elm::interface::Atspi_Action,  ::elm::interface::Atspi_Component,  ::elm::interface::Atspi_Widget_Action,  ::elm::interface::atspi::Selection,  ::eo::Base,  ::eo::Interface> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Gengrid const ,  ::edje::Object const ,  ::efl::Animator const ,  ::efl::Container const ,  ::efl::File const ,  ::efl::Gfx const ,  ::efl::Part const ,  ::efl::canvas::Group const ,  ::efl::canvas::Object const ,  ::efl::canvas::group::Clipped const ,  ::efl::gfx::Map const ,  ::efl::gfx::Stack const ,  ::efl::gfx::size::Hint const ,  ::efl::input::Interface const ,  ::efl::ui::Clickable const ,  ::efl::ui::Scrollable const ,  ::elm::Interface_Scrollable const ,  ::elm::Layout const ,  ::elm::Widget const ,  ::elm::interface::Atspi_Accessible const ,  ::elm::interface::Atspi_Action const ,  ::elm::interface::Atspi_Component const ,  ::elm::interface::Atspi_Widget_Action const ,  ::elm::interface::atspi::Selection const ,  ::eo::Base const ,  ::eo::Interface const > operator&() const { return {this}; }
   /// @endcond
};
static_assert(sizeof(Gengrid) == sizeof(Eo*), "");
static_assert(std::is_standard_layout<Gengrid>::value, "");
} 
#include "elm_gengrid.eo.impl.hh"
#endif
