#ifndef ELM_INTERFACE_ATSPI_ACCESSIBLE_EO_HH
#define ELM_INTERFACE_ATSPI_ACCESSIBLE_EO_HH
#include <Eo.h>

extern "C" {
#include "elm_interface_atspi_accessible.eo.h"
#include "eo_base.eo.h"
}
#include <Eina.hh>
#include <Eo.hh>
#include "eo_base.eo.hh"
namespace elm { namespace interface { 
struct Atspi_Accessible;
} } 
namespace efl { namespace eo { template<> struct is_eolian_object< ::elm::interface::Atspi_Accessible> : ::std::true_type {}; } }

namespace eo_cxx {
namespace elm { namespace interface { 
struct Atspi_Accessible {
    ::efl::eina::string_view localized_role_name_get() const;
   Elm_Atspi_Relation_Set relation_set_get() const;
   Elm_Atspi_Role role_get() const;
   void role_set( ::efl::eolian::in_traits<Elm_Atspi_Role>::type role) const;
     ::efl::eina::list< ::elm::interface::Atspi_Accessible> children_get() const;
    ::efl::eina::string_view role_name_get() const;
   int index_in_parent_get() const;
    ::efl::eina::string_view description_get() const;
   void description_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type description) const;
    ::elm::interface::Atspi_Accessible parent_get() const;
   void parent_set( ::efl::eolian::in_traits< ::elm::interface::Atspi_Accessible>::type parent) const;
   Elm_Atspi_State_Set state_set_get() const;
    ::efl::eina::string_view translation_domain_get() const;
   void translation_domain_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type domain) const;
   Elm_Atspi_Type type_get() const;
   void type_set( ::efl::eolian::in_traits<Elm_Atspi_Type>::type type) const;
    ::eo::Base root_get() const;
   bool relationship_append( ::efl::eolian::in_traits<Elm_Atspi_Relation_Type>::type type,  ::efl::eolian::in_traits< ::elm::interface::Atspi_Accessible>::type relation_object) const;
   void relationship_remove( ::efl::eolian::in_traits<Elm_Atspi_Relation_Type>::type type,  ::efl::eolian::in_traits< ::elm::interface::Atspi_Accessible>::type relation_object) const;
   void relationships_clear() const;
   static Eo_Class const* _eo_class()
   {
      return ELM_INTERFACE_ATSPI_ACCESSIBLE_MIXIN;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   operator ::elm::interface::Atspi_Accessible() const;
   operator ::elm::interface::Atspi_Accessible&();
   operator ::elm::interface::Atspi_Accessible const&() const;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Atspi_Accessible> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Atspi_Accessible const > operator&() const { return {this}; }
   /// @endcond
};
} } 
}
namespace elm { namespace interface { 
struct Atspi_Accessible : ::efl::eo::concrete
{
   explicit Atspi_Accessible( ::Eo* eo)
      : ::efl::eo::concrete(eo) {}
   explicit Atspi_Accessible(std::nullptr_t)
      : ::efl::eo::concrete(nullptr) {}
   Atspi_Accessible(Atspi_Accessible const& other) = default;
   Atspi_Accessible(Atspi_Accessible&& other) = default;
   Atspi_Accessible& operator=(Atspi_Accessible const& other) = default;
   Atspi_Accessible& operator=(Atspi_Accessible&& other) = default;
   Atspi_Accessible()
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class());
   }
   Atspi_Accessible( ::efl::eo::concrete parent)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, parent, _eo_class());
   }
   template <typename F> Atspi_Accessible(F f, typename ::std::enable_if< ::efl::eolian::is_callable<F>::value>::type* = 0)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class(), f);
   }
    ::efl::eina::string_view localized_role_name_get() const;
   Elm_Atspi_Relation_Set relation_set_get() const;
   Elm_Atspi_Role role_get() const;
   void role_set( ::efl::eolian::in_traits<Elm_Atspi_Role>::type role) const;
     ::efl::eina::list< ::elm::interface::Atspi_Accessible> children_get() const;
    ::efl::eina::string_view role_name_get() const;
   int index_in_parent_get() const;
    ::efl::eina::string_view description_get() const;
   void description_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type description) const;
    ::elm::interface::Atspi_Accessible parent_get() const;
   void parent_set( ::efl::eolian::in_traits< ::elm::interface::Atspi_Accessible>::type parent) const;
   Elm_Atspi_State_Set state_set_get() const;
    ::efl::eina::string_view translation_domain_get() const;
   void translation_domain_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type domain) const;
   Elm_Atspi_Type type_get() const;
   void type_set( ::efl::eolian::in_traits<Elm_Atspi_Type>::type type) const;
    ::eo::Base root_get() const;
   bool relationship_append( ::efl::eolian::in_traits<Elm_Atspi_Relation_Type>::type type,  ::efl::eolian::in_traits< ::elm::interface::Atspi_Accessible>::type relation_object) const;
   void relationship_remove( ::efl::eolian::in_traits<Elm_Atspi_Relation_Type>::type type,  ::efl::eolian::in_traits< ::elm::interface::Atspi_Accessible>::type relation_object) const;
   void relationships_clear() const;
   static Eo_Class const* _eo_class()
   {
      return ELM_INTERFACE_ATSPI_ACCESSIBLE_MIXIN;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   static struct property_changed_event
   {
      static Eo_Event_Description const* description()
      { return ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_PROPERTY_CHANGED; }
      typedef  ::efl::eina::string_view parameter_type;
   } const property_changed_event;
   static struct children_changed_event
   {
      static Eo_Event_Description const* description()
      { return ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_CHILDREN_CHANGED; }
      typedef Elm_Atspi_Event_Children_Changed_Data parameter_type;
   } const children_changed_event;
   static struct state_changed_event
   {
      static Eo_Event_Description const* description()
      { return ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_STATE_CHANGED; }
      typedef Elm_Atspi_Event_State_Changed_Data parameter_type;
   } const state_changed_event;
   static struct bounds_changed_event
   {
      static Eo_Event_Description const* description()
      { return ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_BOUNDS_CHANGED; }
      typedef Elm_Atspi_Event_Geometry_Changed_Data parameter_type;
   } const bounds_changed_event;
   static struct visible_data_changed_event
   {
      static Eo_Event_Description const* description()
      { return ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_VISIBLE_DATA_CHANGED; }
      typedef void parameter_type;
   } const visible_data_changed_event;
   static struct active_descendant_changed_event
   {
      static Eo_Event_Description const* description()
      { return ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_ACTIVE_DESCENDANT_CHANGED; }
      typedef void parameter_type;
   } const active_descendant_changed_event;
   static struct added_event
   {
      static Eo_Event_Description const* description()
      { return ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_ADDED; }
      typedef void parameter_type;
   } const added_event;
   static struct removed_event
   {
      static Eo_Event_Description const* description()
      { return ELM_INTERFACE_ATSPI_ACCESSIBLE_EVENT_REMOVED; }
      typedef void parameter_type;
   } const removed_event;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Atspi_Accessible> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Atspi_Accessible const > operator&() const { return {this}; }
   /// @endcond
};
static_assert(sizeof(Atspi_Accessible) == sizeof(Eo*), "");
static_assert(std::is_standard_layout<Atspi_Accessible>::value, "");
} } 
#include "elm_interface_atspi_accessible.eo.impl.hh"
#endif
