#ifndef ELM_INTERFACE_ATSPI_ACTION_EO_HH
#define ELM_INTERFACE_ATSPI_ACTION_EO_HH
#include <Eo.h>

extern "C" {
#include "elm_interface_atspi_action.eo.h"
}
#include <Eina.hh>
#include <Eo.hh>
namespace elm { namespace interface { 
struct Atspi_Action;
} } 
namespace efl { namespace eo { template<> struct is_eolian_object< ::elm::interface::Atspi_Action> : ::std::true_type {}; } }

namespace eo_cxx {
namespace elm { namespace interface { 
struct Atspi_Action {
    ::efl::eina::string_view name_get( ::efl::eolian::in_traits<int>::type id) const;
    ::efl::eina::string_view localized_name_get( ::efl::eolian::in_traits<int>::type id) const;
    ::efl::eina::string_view description_get( ::efl::eolian::in_traits<int>::type id) const;
   bool description_set( ::efl::eolian::in_traits<int>::type id,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type description) const;
     ::efl::eina::range_list<Elm_Atspi_Action> actions_get() const;
   bool action_do( ::efl::eolian::in_traits<int>::type id) const;
   static Eo_Class const* _eo_class()
   {
      return ELM_INTERFACE_ATSPI_ACTION_MIXIN;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   operator ::elm::interface::Atspi_Action() const;
   operator ::elm::interface::Atspi_Action&();
   operator ::elm::interface::Atspi_Action const&() const;
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Atspi_Action> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Atspi_Action const > operator&() const { return {this}; }
   /// @endcond
};
} } 
}
namespace elm { namespace interface { 
struct Atspi_Action : ::efl::eo::concrete
{
   explicit Atspi_Action( ::Eo* eo)
      : ::efl::eo::concrete(eo) {}
   explicit Atspi_Action(std::nullptr_t)
      : ::efl::eo::concrete(nullptr) {}
   Atspi_Action(Atspi_Action const& other) = default;
   Atspi_Action(Atspi_Action&& other) = default;
   Atspi_Action& operator=(Atspi_Action const& other) = default;
   Atspi_Action& operator=(Atspi_Action&& other) = default;
   Atspi_Action()
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class());
   }
   Atspi_Action( ::efl::eo::concrete parent)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, parent, _eo_class());
   }
   template <typename F> Atspi_Action(F f, typename ::std::enable_if< ::efl::eolian::is_callable<F>::value>::type* = 0)
   {
      ::efl::eolian::do_eo_add( ::efl::eo::concrete::_eo_raw, ::efl::eo::concrete{nullptr}, _eo_class(), f);
   }
    ::efl::eina::string_view name_get( ::efl::eolian::in_traits<int>::type id) const;
    ::efl::eina::string_view localized_name_get( ::efl::eolian::in_traits<int>::type id) const;
    ::efl::eina::string_view description_get( ::efl::eolian::in_traits<int>::type id) const;
   bool description_set( ::efl::eolian::in_traits<int>::type id,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type description) const;
     ::efl::eina::range_list<Elm_Atspi_Action> actions_get() const;
   bool action_do( ::efl::eolian::in_traits<int>::type id) const;
   static Eo_Class const* _eo_class()
   {
      return ELM_INTERFACE_ATSPI_ACTION_MIXIN;
   }
   Eo* _eo_ptr() const { return *(Eo**)this; }
   /// @cond LOCAL
    ::efl::eolian::address_of_operator<Atspi_Action> operator&() { return {this}; }
    ::efl::eolian::address_of_operator<Atspi_Action const > operator&() const { return {this}; }
   /// @endcond
};
static_assert(sizeof(Atspi_Action) == sizeof(Eo*), "");
static_assert(std::is_standard_layout<Atspi_Action>::value, "");
} } 
#include "elm_interface_atspi_action.eo.impl.hh"
#endif
