namespace elm { 
inline bool Layout::edje_object_can_access_get() const
{
   Eina_Bool __return_value =  ::elm_obj_layout_edje_object_can_access_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline bool Layout::edje_object_can_access_set( ::efl::eolian::in_traits<bool>::type can_access) const
{
   Eina_Bool __return_value =  ::elm_obj_layout_edje_object_can_access_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(can_access));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline bool Layout::theme_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type klass,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type group,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type style) const
{
   Eina_Bool __return_value =  ::elm_obj_layout_theme_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(klass)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(group)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(style));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline  ::efl::canvas::Object Layout::edje_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_layout_edje_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::canvas::Object>(__return_value);
}
inline  ::efl::eina::string_view Layout::text_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part) const
{
   const char * __return_value =  ::elm_obj_layout_text_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part));
   return ::efl::eolian::convert_to_return< ::efl::eina::string_view>(__return_value);
}
inline bool Layout::text_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type text) const
{
   Eina_Bool __return_value =  ::elm_obj_layout_text_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(text));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline bool Layout::part_cursor_engine_only_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part_name,  ::efl::eolian::in_traits<bool>::type engine_only) const
{
   Eina_Bool __return_value =  ::elm_obj_layout_part_cursor_engine_only_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part_name)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(engine_only));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline bool Layout::part_cursor_engine_only_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part_name) const
{
   Eina_Bool __return_value =  ::elm_obj_layout_part_cursor_engine_only_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part_name));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline bool Layout::theme_enable() const
{
   Eina_Bool __return_value =  ::elm_obj_layout_theme_enable(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Layout::sizing_eval() const
{
    ::elm_obj_layout_sizing_eval(this->_eo_ptr());
}
inline void Layout::sizing_restricted_eval( ::efl::eolian::in_traits<bool>::type width,  ::efl::eolian::in_traits<bool>::type height) const
{
    ::elm_obj_layout_sizing_restricted_eval(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(width)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(height));
}
inline bool Layout::part_cursor_style_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part_name,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type style) const
{
   Eina_Bool __return_value =  ::elm_obj_layout_part_cursor_style_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part_name)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(style));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline  ::efl::eina::string_view Layout::part_cursor_style_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part_name) const
{
   const char * __return_value =  ::elm_obj_layout_part_cursor_style_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part_name));
   return ::efl::eolian::convert_to_return< ::efl::eina::string_view>(__return_value);
}
inline bool Layout::part_cursor_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part_name,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type cursor) const
{
   Eina_Bool __return_value =  ::elm_obj_layout_part_cursor_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part_name)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(cursor));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline  ::efl::eina::string_view Layout::part_cursor_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part_name) const
{
   const char * __return_value =  ::elm_obj_layout_part_cursor_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part_name));
   return ::efl::eolian::convert_to_return< ::efl::eina::string_view>(__return_value);
}
inline bool Layout::sub_object_add_enable() const
{
   Eina_Bool __return_value =  ::elm_obj_layout_sub_object_add_enable(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline bool Layout::part_cursor_unset( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part_name) const
{
   Eina_Bool __return_value =  ::elm_obj_layout_part_cursor_unset(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part_name));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
} 
namespace eo_cxx {
namespace elm { 
inline bool Layout::edje_object_can_access_get() const
{
   Eina_Bool __return_value =  ::elm_obj_layout_edje_object_can_access_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline bool Layout::edje_object_can_access_set( ::efl::eolian::in_traits<bool>::type can_access) const
{
   Eina_Bool __return_value =  ::elm_obj_layout_edje_object_can_access_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(can_access));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline bool Layout::theme_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type klass,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type group,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type style) const
{
   Eina_Bool __return_value =  ::elm_obj_layout_theme_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(klass)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(group)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(style));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline  ::efl::canvas::Object Layout::edje_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_layout_edje_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::canvas::Object>(__return_value);
}
inline  ::efl::eina::string_view Layout::text_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part) const
{
   const char * __return_value =  ::elm_obj_layout_text_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part));
   return ::efl::eolian::convert_to_return< ::efl::eina::string_view>(__return_value);
}
inline bool Layout::text_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type text) const
{
   Eina_Bool __return_value =  ::elm_obj_layout_text_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(text));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline bool Layout::part_cursor_engine_only_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part_name,  ::efl::eolian::in_traits<bool>::type engine_only) const
{
   Eina_Bool __return_value =  ::elm_obj_layout_part_cursor_engine_only_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part_name)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(engine_only));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline bool Layout::part_cursor_engine_only_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part_name) const
{
   Eina_Bool __return_value =  ::elm_obj_layout_part_cursor_engine_only_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part_name));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline bool Layout::theme_enable() const
{
   Eina_Bool __return_value =  ::elm_obj_layout_theme_enable(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Layout::sizing_eval() const
{
    ::elm_obj_layout_sizing_eval(this->_eo_ptr());
}
inline void Layout::sizing_restricted_eval( ::efl::eolian::in_traits<bool>::type width,  ::efl::eolian::in_traits<bool>::type height) const
{
    ::elm_obj_layout_sizing_restricted_eval(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(width)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(height));
}
inline bool Layout::part_cursor_style_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part_name,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type style) const
{
   Eina_Bool __return_value =  ::elm_obj_layout_part_cursor_style_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part_name)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(style));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline  ::efl::eina::string_view Layout::part_cursor_style_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part_name) const
{
   const char * __return_value =  ::elm_obj_layout_part_cursor_style_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part_name));
   return ::efl::eolian::convert_to_return< ::efl::eina::string_view>(__return_value);
}
inline bool Layout::part_cursor_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part_name,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type cursor) const
{
   Eina_Bool __return_value =  ::elm_obj_layout_part_cursor_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part_name)
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(cursor));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline  ::efl::eina::string_view Layout::part_cursor_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part_name) const
{
   const char * __return_value =  ::elm_obj_layout_part_cursor_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part_name));
   return ::efl::eolian::convert_to_return< ::efl::eina::string_view>(__return_value);
}
inline bool Layout::sub_object_add_enable() const
{
   Eina_Bool __return_value =  ::elm_obj_layout_sub_object_add_enable(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline bool Layout::part_cursor_unset( ::efl::eolian::in_traits< ::efl::eina::string_view>::type part_name) const
{
   Eina_Bool __return_value =  ::elm_obj_layout_part_cursor_unset(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(part_name));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline elm::Layout::operator ::elm::Layout() const { return *static_cast< ::elm::Layout const*>(static_cast<void const*>(this)); }
inline elm::Layout::operator ::elm::Layout&() { return *static_cast< ::elm::Layout*>(static_cast<void*>(this)); }
inline elm::Layout::operator ::elm::Layout const&() const { return *static_cast< ::elm::Layout const*>(static_cast<void const*>(this)); }
} }

