namespace elm { 
inline bool Photocam::paused_get() const
{
   Eina_Bool __return_value =  ::elm_obj_photocam_paused_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Photocam::paused_set( ::efl::eolian::in_traits<bool>::type paused) const
{
    ::elm_obj_photocam_paused_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(paused));
}
inline bool Photocam::gesture_enabled_get() const
{
   Eina_Bool __return_value =  ::elm_obj_photocam_gesture_enabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Photocam::gesture_enabled_set( ::efl::eolian::in_traits<bool>::type gesture) const
{
    ::elm_obj_photocam_gesture_enabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(gesture));
}
inline double Photocam::zoom_get() const
{
   double __return_value =  ::elm_obj_photocam_zoom_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<double>(__return_value);
}
inline void Photocam::zoom_set( ::efl::eolian::in_traits<double>::type zoom) const
{
    ::elm_obj_photocam_zoom_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(zoom));
}
inline Elm_Photocam_Zoom_Mode Photocam::zoom_mode_get() const
{
   Elm_Photocam_Zoom_Mode __return_value =  ::elm_obj_photocam_zoom_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<Elm_Photocam_Zoom_Mode>(__return_value);
}
inline void Photocam::zoom_mode_set( ::efl::eolian::in_traits<Elm_Photocam_Zoom_Mode>::type mode) const
{
    ::elm_obj_photocam_zoom_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Photocam_Zoom_Mode,  ::efl::eolian::in_traits<Elm_Photocam_Zoom_Mode>::type>(mode));
}
inline void Photocam::image_region_get( ::efl::eolian::out_traits<int>::type x,  ::efl::eolian::out_traits<int>::type y,  ::efl::eolian::out_traits<int>::type w,  ::efl::eolian::out_traits<int>::type h) const
{
   int __out_param_x = {};
   int __out_param_y = {};
   int __out_param_w = {};
   int __out_param_h = {};
    ::elm_obj_photocam_image_region_get(this->_eo_ptr()
      , & __out_param_x
      , & __out_param_y
      , & __out_param_w
      , & __out_param_h);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(x, __out_param_x);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(y, __out_param_y);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(w, __out_param_w);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(h, __out_param_h);
}
inline  ::efl::canvas::Object Photocam::internal_image_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_photocam_internal_image_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::canvas::Object>(__return_value);
}
inline void Photocam::image_size_get( ::efl::eolian::out_traits<int>::type w,  ::efl::eolian::out_traits<int>::type h) const
{
   int __out_param_w = {};
   int __out_param_h = {};
    ::elm_obj_photocam_image_size_get(this->_eo_ptr()
      , & __out_param_w
      , & __out_param_h);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(w, __out_param_w);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(h, __out_param_h);
}
inline Evas_Image_Orient Photocam::image_orient_get() const
{
   Evas_Image_Orient __return_value =  ::elm_obj_photocam_image_orient_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<Evas_Image_Orient>(__return_value);
}
inline void Photocam::image_orient_set( ::efl::eolian::in_traits<Evas_Image_Orient>::type orient) const
{
    ::elm_obj_photocam_image_orient_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Image_Orient,  ::efl::eolian::in_traits<Evas_Image_Orient>::type>(orient));
}
inline void Photocam::image_region_show( ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y,  ::efl::eolian::in_traits<int>::type w,  ::efl::eolian::in_traits<int>::type h) const
{
    ::elm_obj_photocam_image_region_show(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(x)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(y)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(w)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(h));
}
} 
namespace eo_cxx {
namespace elm { 
inline bool Photocam::paused_get() const
{
   Eina_Bool __return_value =  ::elm_obj_photocam_paused_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Photocam::paused_set( ::efl::eolian::in_traits<bool>::type paused) const
{
    ::elm_obj_photocam_paused_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(paused));
}
inline bool Photocam::gesture_enabled_get() const
{
   Eina_Bool __return_value =  ::elm_obj_photocam_gesture_enabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Photocam::gesture_enabled_set( ::efl::eolian::in_traits<bool>::type gesture) const
{
    ::elm_obj_photocam_gesture_enabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(gesture));
}
inline double Photocam::zoom_get() const
{
   double __return_value =  ::elm_obj_photocam_zoom_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<double>(__return_value);
}
inline void Photocam::zoom_set( ::efl::eolian::in_traits<double>::type zoom) const
{
    ::elm_obj_photocam_zoom_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(zoom));
}
inline Elm_Photocam_Zoom_Mode Photocam::zoom_mode_get() const
{
   Elm_Photocam_Zoom_Mode __return_value =  ::elm_obj_photocam_zoom_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<Elm_Photocam_Zoom_Mode>(__return_value);
}
inline void Photocam::zoom_mode_set( ::efl::eolian::in_traits<Elm_Photocam_Zoom_Mode>::type mode) const
{
    ::elm_obj_photocam_zoom_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Photocam_Zoom_Mode,  ::efl::eolian::in_traits<Elm_Photocam_Zoom_Mode>::type>(mode));
}
inline void Photocam::image_region_get( ::efl::eolian::out_traits<int>::type x,  ::efl::eolian::out_traits<int>::type y,  ::efl::eolian::out_traits<int>::type w,  ::efl::eolian::out_traits<int>::type h) const
{
   int __out_param_x = {};
   int __out_param_y = {};
   int __out_param_w = {};
   int __out_param_h = {};
    ::elm_obj_photocam_image_region_get(this->_eo_ptr()
      , & __out_param_x
      , & __out_param_y
      , & __out_param_w
      , & __out_param_h);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(x, __out_param_x);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(y, __out_param_y);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(w, __out_param_w);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(h, __out_param_h);
}
inline  ::efl::canvas::Object Photocam::internal_image_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::elm_obj_photocam_internal_image_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::canvas::Object>(__return_value);
}
inline void Photocam::image_size_get( ::efl::eolian::out_traits<int>::type w,  ::efl::eolian::out_traits<int>::type h) const
{
   int __out_param_w = {};
   int __out_param_h = {};
    ::elm_obj_photocam_image_size_get(this->_eo_ptr()
      , & __out_param_w
      , & __out_param_h);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(w, __out_param_w);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(h, __out_param_h);
}
inline Evas_Image_Orient Photocam::image_orient_get() const
{
   Evas_Image_Orient __return_value =  ::elm_obj_photocam_image_orient_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<Evas_Image_Orient>(__return_value);
}
inline void Photocam::image_orient_set( ::efl::eolian::in_traits<Evas_Image_Orient>::type orient) const
{
    ::elm_obj_photocam_image_orient_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Image_Orient,  ::efl::eolian::in_traits<Evas_Image_Orient>::type>(orient));
}
inline void Photocam::image_region_show( ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y,  ::efl::eolian::in_traits<int>::type w,  ::efl::eolian::in_traits<int>::type h) const
{
    ::elm_obj_photocam_image_region_show(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(x)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(y)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(w)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(h));
}
inline elm::Photocam::operator ::elm::Photocam() const { return *static_cast< ::elm::Photocam const*>(static_cast<void const*>(this)); }
inline elm::Photocam::operator ::elm::Photocam&() { return *static_cast< ::elm::Photocam*>(static_cast<void*>(this)); }
inline elm::Photocam::operator ::elm::Photocam const&() const { return *static_cast< ::elm::Photocam const*>(static_cast<void const*>(this)); }
} }

