namespace evas { namespace canvas3d { 
inline bool Material::enable_get( ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type attrib) const
{
   Eina_Bool __return_value =  ::evas_canvas3d_material_enable_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Canvas3D_Material_Attrib,  ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type>(attrib));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Material::enable_set( ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type attrib,  ::efl::eolian::in_traits<bool>::type enable) const
{
    ::evas_canvas3d_material_enable_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Canvas3D_Material_Attrib,  ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type>(attrib)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enable));
}
inline Evas_Real Material::shininess_get() const
{
   Evas_Real __return_value =  ::evas_canvas3d_material_shininess_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<Evas_Real>(__return_value);
}
inline void Material::shininess_set( ::efl::eolian::in_traits<Evas_Real>::type shininess) const
{
    ::evas_canvas3d_material_shininess_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Real,  ::efl::eolian::in_traits<Evas_Real>::type>(shininess));
}
inline  ::evas::canvas3d::Texture Material::texture_get( ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type attrib) const
{
    ::Evas_Canvas3D_Texture* __return_value =  ::evas_canvas3d_material_texture_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Canvas3D_Material_Attrib,  ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type>(attrib));
   return ::efl::eolian::convert_to_return< ::evas::canvas3d::Texture>(__return_value);
}
inline void Material::texture_set( ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type attrib,  ::efl::eolian::in_traits< ::evas::canvas3d::Texture>::type texture) const
{
    ::evas_canvas3d_material_texture_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Canvas3D_Material_Attrib,  ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type>(attrib)
      ,  ::efl::eolian::convert_to_c< ::Evas_Canvas3D_Texture*,  ::efl::eolian::in_traits< ::evas::canvas3d::Texture>::type>(texture));
}
inline void Material::color_set( ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type attrib,  ::efl::eolian::in_traits<Evas_Real>::type r,  ::efl::eolian::in_traits<Evas_Real>::type g,  ::efl::eolian::in_traits<Evas_Real>::type b,  ::efl::eolian::in_traits<Evas_Real>::type a) const
{
    ::evas_canvas3d_material_color_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Canvas3D_Material_Attrib,  ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type>(attrib)
      ,  ::efl::eolian::convert_to_c<Evas_Real,  ::efl::eolian::in_traits<Evas_Real>::type>(r)
      ,  ::efl::eolian::convert_to_c<Evas_Real,  ::efl::eolian::in_traits<Evas_Real>::type>(g)
      ,  ::efl::eolian::convert_to_c<Evas_Real,  ::efl::eolian::in_traits<Evas_Real>::type>(b)
      ,  ::efl::eolian::convert_to_c<Evas_Real,  ::efl::eolian::in_traits<Evas_Real>::type>(a));
}
inline void Material::color_get( ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type attrib,  ::efl::eolian::out_traits<Evas_Real>::type r,  ::efl::eolian::out_traits<Evas_Real>::type g,  ::efl::eolian::out_traits<Evas_Real>::type b,  ::efl::eolian::out_traits<Evas_Real>::type a) const
{
   Evas_Real __out_param_r = {};
   Evas_Real __out_param_g = {};
   Evas_Real __out_param_b = {};
   Evas_Real __out_param_a = {};
    ::evas_canvas3d_material_color_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Canvas3D_Material_Attrib,  ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type>(attrib)
      , & __out_param_r
      , & __out_param_g
      , & __out_param_b
      , & __out_param_a);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Real>::type, Evas_Real>(r, __out_param_r);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Real>::type, Evas_Real>(g, __out_param_g);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Real>::type, Evas_Real>(b, __out_param_b);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Real>::type, Evas_Real>(a, __out_param_a);
}
} } 
namespace eo_cxx {
namespace evas { namespace canvas3d { 
inline bool Material::enable_get( ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type attrib) const
{
   Eina_Bool __return_value =  ::evas_canvas3d_material_enable_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Canvas3D_Material_Attrib,  ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type>(attrib));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Material::enable_set( ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type attrib,  ::efl::eolian::in_traits<bool>::type enable) const
{
    ::evas_canvas3d_material_enable_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Canvas3D_Material_Attrib,  ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type>(attrib)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enable));
}
inline Evas_Real Material::shininess_get() const
{
   Evas_Real __return_value =  ::evas_canvas3d_material_shininess_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<Evas_Real>(__return_value);
}
inline void Material::shininess_set( ::efl::eolian::in_traits<Evas_Real>::type shininess) const
{
    ::evas_canvas3d_material_shininess_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Real,  ::efl::eolian::in_traits<Evas_Real>::type>(shininess));
}
inline  ::evas::canvas3d::Texture Material::texture_get( ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type attrib) const
{
    ::Evas_Canvas3D_Texture* __return_value =  ::evas_canvas3d_material_texture_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Canvas3D_Material_Attrib,  ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type>(attrib));
   return ::efl::eolian::convert_to_return< ::evas::canvas3d::Texture>(__return_value);
}
inline void Material::texture_set( ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type attrib,  ::efl::eolian::in_traits< ::evas::canvas3d::Texture>::type texture) const
{
    ::evas_canvas3d_material_texture_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Canvas3D_Material_Attrib,  ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type>(attrib)
      ,  ::efl::eolian::convert_to_c< ::Evas_Canvas3D_Texture*,  ::efl::eolian::in_traits< ::evas::canvas3d::Texture>::type>(texture));
}
inline void Material::color_set( ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type attrib,  ::efl::eolian::in_traits<Evas_Real>::type r,  ::efl::eolian::in_traits<Evas_Real>::type g,  ::efl::eolian::in_traits<Evas_Real>::type b,  ::efl::eolian::in_traits<Evas_Real>::type a) const
{
    ::evas_canvas3d_material_color_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Canvas3D_Material_Attrib,  ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type>(attrib)
      ,  ::efl::eolian::convert_to_c<Evas_Real,  ::efl::eolian::in_traits<Evas_Real>::type>(r)
      ,  ::efl::eolian::convert_to_c<Evas_Real,  ::efl::eolian::in_traits<Evas_Real>::type>(g)
      ,  ::efl::eolian::convert_to_c<Evas_Real,  ::efl::eolian::in_traits<Evas_Real>::type>(b)
      ,  ::efl::eolian::convert_to_c<Evas_Real,  ::efl::eolian::in_traits<Evas_Real>::type>(a));
}
inline void Material::color_get( ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type attrib,  ::efl::eolian::out_traits<Evas_Real>::type r,  ::efl::eolian::out_traits<Evas_Real>::type g,  ::efl::eolian::out_traits<Evas_Real>::type b,  ::efl::eolian::out_traits<Evas_Real>::type a) const
{
   Evas_Real __out_param_r = {};
   Evas_Real __out_param_g = {};
   Evas_Real __out_param_b = {};
   Evas_Real __out_param_a = {};
    ::evas_canvas3d_material_color_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Canvas3D_Material_Attrib,  ::efl::eolian::in_traits<Evas_Canvas3D_Material_Attrib>::type>(attrib)
      , & __out_param_r
      , & __out_param_g
      , & __out_param_b
      , & __out_param_a);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Real>::type, Evas_Real>(r, __out_param_r);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Real>::type, Evas_Real>(g, __out_param_g);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Real>::type, Evas_Real>(b, __out_param_b);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Real>::type, Evas_Real>(a, __out_param_a);
}
inline evas::canvas3d::Material::operator ::evas::canvas3d::Material() const { return *static_cast< ::evas::canvas3d::Material const*>(static_cast<void const*>(this)); }
inline evas::canvas3d::Material::operator ::evas::canvas3d::Material&() { return *static_cast< ::evas::canvas3d::Material*>(static_cast<void*>(this)); }
inline evas::canvas3d::Material::operator ::evas::canvas3d::Material const&() const { return *static_cast< ::evas::canvas3d::Material const*>(static_cast<void const*>(this)); }
} } }

